<!doctype html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<?php
			$prk_pulse_options=pulse_options();
			global $prk_retina_device;
			global $prk_translations;
			prk_pulse_header();
			wp_head();
		?>
	</head>
	<body <?php body_class('pulse_theme'); ?>>
    <?php wp_body_open(); ?>
		<div id="pulse_main_wrapper" class="<?php if ($prk_pulse_options['buttons_inner_shadow']=="1") {echo "shadowed_buttons ";}if ($prk_pulse_options['show_hidden_sidebar']=="1"){echo pulse_output().$prk_pulse_options['sidebar_position'].' ';}else{echo 'pls_no_sidebar ';};if ($prk_pulse_options['footer_reveal']=="1"){echo "pls_fixed_footer ";};echo pulse_output().$prk_pulse_options['menu_display'].' '.$prk_pulse_options['menu_align'].' '.$prk_pulse_options['logo_align']; ?> prk_wait">
			<div id="prk_pint" data-media="" data-desc=""></div>
			<div id="body_hider"></div>
			<div id="pls_overlayer"></div>
			<div id="pls_loader_block" class="pls_bk_site"></div>
			<div id="pls_ajax_portfolio">
				<div id="pls_ajax_pf_inner"></div>
				<div id="pls_close_portfolio" class="prk_grid-button prk_rearrange">
                    <span class="prk_grid" style=""></span>
                </div>
			</div>
			<?php
				pulse_preloader($prk_retina_device);
				pulse_hidden_elements(); 
			?>
			<div id="pulse_header_section">
				<div id="pulse_header_inner">
					<div class="small-12 columns small-centered <?php if ($prk_pulse_options['top_bar_limited_width']==1) {echo "prk_inner_block";} else {echo "prk_extra_pad";} ?>">
						<?php
							echo pulse_logo($prk_retina_device);
						?>
						<div id="prk_blocks_wrapper">
			  				<div class="prk_menu_block prk_bl1"></div>
			  				<div class="prk_menu_block prk_bl2"></div>
			  				<div class="prk_menu_block prk_bl3"></div>
			  			</div>
			  			<div id="pls_side_menu">
				  			<?php
				  				if (isset($prk_pulse_options['menu_align']) && $prk_pulse_options['menu_align']!="st_menu_under") {
					  				if ($prk_pulse_options['show_hidden_sidebar']=="1") {
					  					$extra_class="";
					  					if (has_nav_menu('prk_main_navigation') && $prk_pulse_options['menu_display']=="st_regular_menu") {
					  						$extra_class=' class="prk_smaller_trigger"';
					  					}
					  					?>
					  					<div id="prk_sidebar_trigger"<?php echo pulse_output().$extra_class; ?> data-color="<?php echo pulse_output().$prk_pulse_options['menu_active_color']; ?>">
				  							<div class="prk_menu_block prk_bl1"></div>
				  							<div class="prk_menu_block prk_bl2"></div>
				  							<div class="prk_menu_block prk_bl3"></div>
					  					</div>
					  					<?php
					  				}
					  				if ($prk_pulse_options['top_search']=="1") {
					  					echo '<div id="prk_menu_loupe" class="pulse_fa-search left_floated pulse_fa-flip-horizontal" data-color="'.$prk_pulse_options['menu_active_color'].'"></div>';
					  				}
					  				pulse_menu_icons("menu_social_nets","prk_less_opacity");
					  			}
					  		?>
			  			</div>
			  			<?php
			  				if (has_nav_menu('prk_main_navigation') && $prk_pulse_options['menu_display']=="st_regular_menu") {
			  					?>
								<div id="pulse_main_menu">
									<div id="pulse_mm_inner">
									<?php
										if (isset($prk_pulse_options['custom_menu']) && $prk_pulse_options['custom_menu']!="") {
						  					wp_nav_menu(array(
												'menu' => $prk_pulse_options['custom_menu'],  
												'menu_class' => 'pulse-menu-ul sf-vertical '.$prk_pulse_options['menu_font'],
												'link_after' => '',
												'walker' => new rc_scm_walker)
						  					);
										}
										else if (isset($post->ID) && get_post_meta($post->ID,'top_menu',true)!="" && get_post_meta($post->ID,'top_menu',true)!="null") {
							  					wp_nav_menu(array(
													'menu' => get_post_meta($post->ID,'top_menu',true),  
													'menu_class' => 'pulse-menu-ul sf-vertical '.$prk_pulse_options['menu_font'],
													'link_after' => '',
													'walker' => new rc_scm_walker)
							  					);
										}
										else {
						  					wp_nav_menu(array(
												'theme_location' => 'prk_main_navigation', 
												'menu_class' => 'pulse-menu-ul sf-vertical '.$prk_pulse_options['menu_font'],
												'link_after' => '',
												'walker' => new rc_scm_walker)
						  					);
						  				}
					  					if (isset($prk_pulse_options['menu_align']) && $prk_pulse_options['menu_align']=="st_menu_under") {
		  					  				if ($prk_pulse_options['show_hidden_sidebar']=="1") {
		  					  					$extra_class="";
		  					  					if (has_nav_menu('prk_main_navigation') && $prk_pulse_options['menu_display']=="st_regular_menu") {
		  					  						$extra_class=' class="prk_smaller_trigger"';
		  					  					}
		  					  					?>
		  					  					<div id="prk_sidebar_trigger"<?php echo pulse_output().$extra_class; ?> data-color="<?php echo pulse_output().$prk_pulse_options['menu_active_color']; ?>">
		  				  							<div class="prk_menu_block prk_bl1"></div>
		  				  							<div class="prk_menu_block prk_bl2"></div>
		  				  							<div class="prk_menu_block prk_bl3"></div>
		  					  					</div>
		  					  					<?php
		  					  				}
		  					  				if ($prk_pulse_options['top_search']=="1") {
		  					  					echo '<div id="prk_menu_loupe" class="pulse_fa-search left_floated pulse_fa-flip-horizontal" data-color="'.$prk_pulse_options['menu_active_color'].'"></div>';
		  					  				}
		  					  				pulse_menu_icons("menu_social_nets","prk_less_opacity");
		  					  			}
		  					  		?>
		  					  		</div>
		  					  	</div>
		  					  	<?php
				  			}
						?>
					</div>
				</div>
			</div>
			<div id="pulse_header_background"></div>
			<div id="pulse_ajax_container">
