<?php
function pulse_options() {
    //RETURN DEFAULT OPTIONS OF FRAMEWORK IS OFF
    if (PRK_PULSE_FRAMEWORK) {
        global $prk_pulse_options;
        if ($prk_pulse_options['logo']['width']=="") {
            $prk_pulse_options['logo']['width']='160';
        }
        if ($prk_pulse_options['logo_collapsed']['width']=="") {
            $prk_pulse_options['logo_collapsed']['width']='160';
        }
        if ($prk_pulse_options['logo_retina']['width']=="") {
            $prk_pulse_options['logo_retina']['width']='320';
        }
        if ($prk_pulse_options['logo_collapsed_retina']['width']=="") {
            $prk_pulse_options['logo_collapsed_retina']['width']='320';
        }

    }
    else {
        global $prk_pulse_options;
        $prk_pulse_options=array(
            'pulse_responsive' => '1',
            'pulse_detect_retina' => '1',
            'show_sooner' => '',
            'custom_width' => '1280',
            'ajax_calls' => '0',
            'smooth_scroll' => '0',
            'font_size' => '15',
            'header_font' => 'Open+Sans:300italic,400italic,400,300,700,600,800',
            'uppercase_headings' => '0',
            'body_font' => 'PT+Sans:400,700,400italic,700italic',
            'custom_font' => '',
            'custom_font_style' => 'italic',
            'titles_font' => 'header_font',
            'main_subheadings_font' => 'body_font',
            'subheadings_style' => 'italic',
            'headings_align' => 'pulse_center_align',
            'drop_caps_size' => '52',
            'use_custom_colors' => '1',
            'site_background_color' => '#ffffff',
            'active_color' => '#49B6B2',
            'bd_headings_color' => '#27394A',
            'bd_smallers_color' => '#485767',
            'inactive_color' => '#9BABB3',
            'thumbs_text_color_blog' => '#ffffff',
            'background_color_btns_blog' => '#111111',
            'custom_opacity' => '60',
            'thumbs_text_color' => '#ffffff',
            'background_color_btns' => '#111111',
            'custom_opacity_folio' => '85',
            'lines_color' => '#E7EEF0',
            'background_color' => '#ffffff',
            'inputs_bordercolor' => '#E7EEF0',
            'buttons_font' => 'headings_f',
            'uppercase_buttons' => '1',
            'buttons_border' => '1',
            'buttons_radius' => '0',
            'buttons_text_color' => '#FFFFFF',
            'theme_buttons_color' => '#27394A',
            'buttons_inner_shadow' => '0',
            'slider_text_color' => '#FFFFFF',
            'buttons_color' => '#27252C',
            'back_to_top_bk' => '#212427',
            'back_to_top_color' => '#FFFFFF',
            'filters_bk_color' => '#F0F0F0',
            'preloader_style' => 'theme_circles',
            'preloader_color' => '#49B6B2',
            'preloader_image' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),
            'preloader_image_retina' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),
            'background_color_dots' => '#FFFFFF',
            'featured_header_color' => '#ffffff',
            'bk_color_sidebar_overlay' => '#111111',
            'right_sidebar' => '1',
            'logo_align' => 'st_logo_on_left',
            'logo' => Array
            (
                'url'=>get_template_directory_uri().'/images/logo.png',
                'id' => '',
                'height' => '',
                'width' => '160',
                'thumbnail' => '',
            ),
            'logo_retina' => Array
            (
                'url'=>get_template_directory_uri().'/images/logo-retina.png',
                'id' => '',
                'height' => '',
                'width' => '320',
                'thumbnail' => '',
            ),
            'logo_top_margin' => '39',
            'logo_collapsed' => Array
            (
                'url'=>get_template_directory_uri().'/images/persistent-regular.png',
                'id' => '',
                'height' => '',
                'width' => '160',
                'thumbnail' => '',
            ),
            'logo_collapsed_retina' => Array
            (
                'url'=>get_template_directory_uri().'/images/persistent-retina.png',
                'id' => '',
                'height' => '',
                'width' => '320',
                'thumbnail' => '',
            ),

            'logo_collapsed_top_margin' => '16',
            'favicon' => Array
            (
                'url'=>get_template_directory_uri().'/images/favicon.ico',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),
            'top_bar_limited_width' => '0',
            'resp_break' => '900',
            'menu_vertical' => '120',
            'background_color_menu_bar' => '#212427',
            'border_menu_bar' => '#272930',
            'header_default_opacity' => '0',
            'menu_align' => 'st_menu_on_right',
            'menu_display' => 'st_regular_menu',
            'menu_hide_flag' => '0',
            'menu_hide_pixels' => '160',
            'bk_color_menu_overlay' => '#333038',
            'opacity_menu_overlay' => '97',
            'active_color_menu_overlay' => '#000000',
            'color_menu_overlay' => '#000000',
            'overlay_align' => 'pulse_center_align',
            'overlay_page_id' => '',
            'overlay_footer_text' => '',
            'menu_padding' => '14',
            'menu_font' => 'header_font',
            'menu_font_size' => '16',
            'menu_parent_style' => 'normal',
            'menu_font_weight' => '600',
            'labels_offset' => '0',
            'menu_active_color' => '#49B6B2',
            'menu_up_color' => '#FFFFFF',
            'active_subheadings' => '0',
            'menu_subheadings_style' => 'italic',
            'subheadings_font_weight' => '400',
            'subheadings_color' => '#a8a8a8',
            'subheadings_font_size' => '10',
            'subheadings_offset' => '36',
            'subheadings_font' => 'custom_font',
            'submenu_font_size' => '12',
            'submenu_font_weight' => '400',
            'menu_sub_padding' => '36',
            'submenu_active_color' => '#49B6B2',
            'submenu_text_color' => '#FFFFFF',
            'submenu_lines_color' => '#272930',
            'submenu_background_color' => '#212427',
            'menu_collapse_flag' => '1',
            'menu_collapse_pixels' => '200',
            'collapsed_menu_vertical' => '72',
            'header_opacity_after' => '98',
            'menu_active_color_after' => '#49B6B2',
            'menu_up_color_after' => '#FFFFFF',
            'network_icon_1' => '',
            'network_link_1' => '',
            'network_icon_2' => '',
            'network_link_2' => '',
            'network_icon_3' => '',
            'network_link_3' => '',
            'network_icon_4' => '',
            'network_link_4' => '',
            'network_icon_5' => '',
            'network_link_5' => '',
            'network_icon_6' => '',
            'network_link_6' => '',
            'nets_offset' => '-14',
            'top_search' => '1',
            'menu_on_mobile' => '1',
            'css_enable' => '0',
            'append_mobile_logo' => 'mobile_logo_aft',
            'right_bar_align' => 'pulse_left_align',
            'background_image_right_bar' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),
            'background_color_right_bar' => '#111111',
            'active_color_right_bar' => '#ffffff',
            'body_color_right_bar' => '#969696',
            'opacity_mobile_overlay' => '75',
            'show_hidden_sidebar' => '0',
            'sidebar_position' => 'st_sidebar_on_right',
            'sidebar_width' => '380',
            'sidebar_align' => 'pulse_center_align',
            'background_image_sidebar' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),

            'background_color_sidebar' => '#C0C0C0',
            'active_color_sidebar' => '#ffffff',
            'body_color_sidebar' => '#AFAFAF',
            'sidebar_footer_id' => '',
            'opacity_sidebar_overlay' => '25',
            'use_footer' => '1',
            'footer_reveal' => '0',
            'footer_font_size' => '13',
            'titles_color_footer' => '#ffffff',
            'body_color_footer' => '#8C9499',
            'footer_border_color' => '',
            'background_color_footer' => '#2B2F32',
            'bk_image_footer' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),

            'footer_image_align' => 'center',
            'bottom_page' => '0',
            'bottom_page_id' => '',
            'bottom_page_after' => '0',
            'bottom_page_after_id' => '',
            'bottom_sidebar' => '1',
            'widgets_nr' => 'small-3',
            'footer_text' => '',
            'footer_text_extra' => '',
            'footer_text_background_color' => '#212427',
            'custom_width_blog' => '1080',
            'header_align_blog' => 'bottomed_content',
            'archives_type' => 'classic',
            'autoplay_blog' => '1',
            'delay_blog' => '6500',
            'uppercase_blog_headings' => '1',
            'show_date_blog' => '1',
            'minread_blog' => '1',
            'postedby_blog' => '1',
            'categoriesby_blog' => '1',
            'show_blog_nav' => '1',
            'related_posts' => '1',
            'related_author' => '1',
            'share_blog' => '1',
            'share_blog_fb' => '1',
            'share_blog_goo' => '1',
            'share_blog_pin' => '1',
            'share_blog_twt' => '1',
            'archives_ptype' => 'grid',
            'portfolio_layout' => '',
            'autoplay_portfolio' => '1',
            'delay_portfolio' => '6500',
            'uppercase_folio_headings' => '0',
            'dateby_port' => '0',
            'categoriesby_port' => '1',
            'show_port_nav' => '1',
            'port_nav_logic' => '1',
            'related_port' => '1',
            'port_resp_order' => '0',
            'active_color_overlayer' => '#494f55',
            'headings_color_overlayer' => '#303030',
            'smallers_color_overlayer' => '#acacac',
            'body_color_overlayer' => '#303030',
            'lines_color_overlayer' => '#dedede',
            'background_color_overlayer' => '#FFFFFF',
            'overlayer_opacity' => '100',
            'share_portfolio' => '1',
            'share_portfolio_fb' => '1',
            'share_portfolio_goo' => '1',
            'share_portfolio_pin' => '1',
            'share_portfolio_twt' => '1',
            'google_maps_key' => '',
            'search_image' => Array
            (
                'url' => '',
                'id' => '',
                'height' => '',
                'width' => '',
                'thumbnail' => '',
            ),
            'search_layout' => 'classic',
            'search_right_sidebar' => '0',
            'theme_translation' => '0',
            'theme_divider' => '-',
            'search_tip_text' => 'Search this website...',
            'submit_search_res_title' => 'Search Results for',
            'submit_search_no_results' => 'No Results Found for',
            'search_help_1' => 'Sorry, but it seems that there are no results... Maybe you can try again?',
            'search_help_2' => 'Still looking for something else?',
            'search_help_3' => 'Double check your spelling',
            'search_help_4' => 'Try using single words (e.g. painting, book)',
            'search_help_5' => 'Try searching for something that is less specific',
            'previous_text' => 'Previous',
            'next_text' => 'Next',
            'required_text' => ' (required)',
            'profile_text' => 'View Profile',
            'in_touch_text' => 'Get In touch',
            '404_title_text' => 'NOT FOUND',
            '404_body_text' => 'Ooops... Something went terribly wrong!',
            'read_more' => 'Read More',
            'sticky_text' => 'Sticky Post',
            'min_read_text' => 'MIN READ',
            'posted_by_text' => 'Posted by',
            'on_text' => 'on',
            'about_author_text' => 'About',
            'older' => 'Older posts',
            'newer' => 'Newer posts',
            'related_posts_text' => 'Related News',
            'related_posts_teaser_text' => 'Other posts that you should not miss.',
            'older_single' => '← PREVIOUS POST',
            'newer_single' => 'NEXT POST →',
            'all_the_posts' => 'All the posts published.',
            'prj_desc_text' => 'About this project',
            'date_text' => 'Date',
            'client_text' => 'Client',
            'extra_fld1' => 'My Custom Field 1',
            'extra_fld2' => 'My Custom Field 2',
            'extra_fld3' => 'My Custom Field 3',
            'skills_text' => 'Skills',
            'tags_text' => 'Tags',
            'project_text' => 'Project URL',
            'launch_text' => 'Launch Project',
            'all_text' => 'All',
            'load_more' => 'LOAD MORE POSTS',
            'no_more' => 'NO MORE POSTS TO SHOW',
            'related_prj_text' => 'Related Projects',
            'related_prj_teaser_text' => 'Simply delivering amazing stuff. Period.',
            'prj_prev_text' => 'PREVIOUS PROJECT',
            'prj_next_text' => 'NEXT PROJECT',
            'all_the_portfolios' => 'All the work completed.',
            'comments_label' => 'Comments',
            'comments_no_response' => 'No comments',
            'comments_one_response' => '1 Comment',
            'comments_oneplus_response' => 'Comments',
            'reply_text' => 'Reply',
            'comments_leave_reply' => 'Leave a Comment',
            'comments_under_reply' => 'Your feedback is valuable for us. Your email will not be published.',
            'comments_author_text' => 'Name',
            'comments_email_text' => 'Email',
            'comments_url_text' => 'Website',
            'comments_comment_text' => 'Your comment',
            'comments_submit' => 'Submit Comment',
            'empty_text_error' => 'Error! This field is required.',
            'invalid_email_error' => 'Error! Invalid email.',
            'comment_ok_message' => 'Thank you for your feedback!',
            'contact_subject_text' => 'Subject',
            'contact_message_text' => 'Your message',
            'contact_submit' => 'Send Message',
            'contact_error_text' => 'Error! This field is required.',
            'contact_error_email_text' => 'Error! This email is not valid.',
            'contact_wait_text' => 'Please wait...',
            'contact_ok_text' => 'Thank you for contacting us. We will reply soon!',
            'css_text' => '',
            'js_text' => '',
            'portfolio_slug' => 'portfolios',
            'skills_slug' => 'skills',
            'folio_tags_slug' => 'tagged',
            'slides_slug' => 'slides',
            'groups_slug' => 'group',
            'members_slug' => 'member',
            'team_slug' => 'team',
            'testimonials_slug' => 'testimonials',
            'testimonials_groups_slug' => 'testimonials_group',
            'pulse_light_vc' => '1',
            'pattern' => '',
            'pattern_footer' => '',
        );
    }

    return $prk_pulse_options;
}