<?php 
    get_header(); 
    $show_sidebar=$prk_pulse_options['search_right_sidebar'];
    if ($show_sidebar=="1")
        $show_sidebar=true;
    else
        $show_sidebar=false;
    if ($prk_pulse_options['search_image']['url']=="") {
        $featured_style=' class="pulse_forced_menu"';
    }
    else {
        $featured_style=' class="pls_featured_search"';
    }
?>
<div id="pulse_ajax_inner"<?php echo pulse_output().$featured_style; ?>>
    <div id="pulse_content" class="pls_search_results">
        <div id="classic_title_wrapper">        
            <div id="single_page_title" class="header_font pulse_center_align zero_color">
            <h1>
            <?php 
            if (!have_posts()) 
            { 
            echo esc_attr($prk_translations['submit_search_no_results'] );
            echo '<span> "'.get_search_query().'"</span>';
            }
            else
            {
            echo esc_attr($prk_translations['submit_search_res_title']);
            echo '<span> "'.get_search_query().'"</span>';
            }  
            ?>                
            </h1>
            </div>
        </div>
        <?php
            if ($show_sidebar) {
            ?>
            <div class="small-centered columns prk_inner_block small-12 row">
                <div class="row">
                    <div class="small-9 columns">
            <?php
            }
            else {
            ?>
            <div id="s_sec_wp">
                <div id="pulse_super_sections">
                    <div id="s_sec_inner">
                        <div class="small-centered columns prk_inner_block small-12">
                            <?php
                            }
                            if ($prk_pulse_options['search_layout']!="masonry") {
                                ?>
                                <ul id="pulse_search_ul" class="unstyled">
                                    <?php
                                        $i=0;
                                        while (have_posts()) : the_post();
                                        $i++;
                                        ?>
                                        <li id="post-<?php the_ID(); ?>" <?php post_class('prk_search_res'); ?>>
                                        <?php
                                            $exceprt_size=64;
                                            if (has_post_thumbnail( $post->ID ) ) {
                                                $exceprt_size=46;
                                                $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                                //$image[0] = get_image_path($image[0]);
                                                $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 200, 200, true , $prk_retina_device );
                                                ?>
                                                <div class="grid_image_wrapper">
                                                    <a href="<?php the_permalink(); ?>">
                                                        <img src="<?php echo esc_attr($vt_image['url']); ?>" width="<?php echo esc_attr($vt_image['width']); ?>" height="<?php echo esc_attr($vt_image['height']); ?>" class="custom-img grid_image left_floated" alt="<?php echo pulse_output(); ?>" />
                                                    </a>
                                                </div>
                                            <?php
                                          }
                                        ?>
                                        <div class="pls_search_title">
                                            <h3 class="header_font zero_color prk_heavier_600">
                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                          </h3>
                                           </div>
                                            <div class="prk_9_em pls_search_content">
                                                <?php 
                                                $cat_helper=$post->ID;
                                                echo the_excerpt_dynamic($exceprt_size,$post->ID);
                                                echo '<div class="colored_theme_button prk_tiny"><a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color pulse_anchor">';
                                                echo esc_attr($prk_translations['read_more']);
                                                echo '</a></div>'; 
                                            ?>
                                            <div class="simple_line"></div>
                                            </div>
                                        </li>
                                       <?php 
                                        endwhile; /* End loop */ 
                                    ?>
                                </ul>
                                <?php
                            }
                            else {
                                $iso_images_max_w=390;
                                $iso_images_min_w=340;
                                $featured_color="default";
                                $thumbs_margin=18;
                                $out='<div id="blog_masonry_father" class="row" data-items="'.$posts_per_page.'">';
                                    $out.='<div class="templated masonry_blog per_init prk_section clearfix" data-max-width="'.$iso_images_max_w.'" data-min-width="'.$iso_images_min_w.'" data-margin="'.$thumbs_margin.'">';
                                        $out.='<div class="grid-sizer"></div>';
                                        $i=0;
                                        while (have_posts()) : the_post();
                                            $i++;
                                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                                            {
                                                $featured_color=get_field('featured_color');
                                                $featured_class=" featured_color ";
                                            }
                                            else
                                            {
                                                $featured_color="default";
                                                $featured_class="";
                                            }
                                            if (!has_post_thumbnail($post->ID) && get_field('video_2')=="") {
                                                $featured_class.=" pls_no_img";
                                            }
                                            $out.='<div id="post-'.$post->ID.'" class="blog_entry_li hidden_by_css clearfix'.$featured_class.'" data-color="'.$featured_color.'">';
                                                $out.='<div class="masonry_inner">';
                                                    if (has_post_thumbnail($post->ID)) {
                                                        $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                                        $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                                            $out.='<div class="masonr_img_wp">';
                                                                $out.='<div class="blog_fader_grid centerized_father_blog">';
                                                                    $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                                                $out.='</div>';
                                                                $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 680, 0, false , $prk_retina_device );//620 is for single row on small screens
                                                                $out.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$post->ID.'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                                            $out.='</div>';
                                                        $out.='</a>';
                                                    }
                                                    else
                                                    {
                                                        //CHECK IF THERE'S A VIDEO TO SHOW
                                                        if (get_field('video_2')!="")
                                                        {
                                                            $el_class='video-container';
                                                            if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                                                $el_class= 'soundcloud-container';
                                                            }
                                                            $out.='<div class="'.$el_class.'">';
                                                            $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                                            $out.='</div>';
                                                        }
                                                    }
                                                    $out.='<div class="header_font prk_mini_meta small">';
                                                        $out.='<div class="entry_title prk_left_floated">';
                                                            $out.='<h4 class="prk_heavier_600 big">';
                                                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                                                $out.=get_the_title();
                                                                $out.='</a>';
                                                            $out.='</h4>';
                                                        $out.='</div>';
                                                        $out.='<div class="clearfix"></div>';
                                                    $out.='</div>';
                                                    $out.='<div class="on_colored entry_content prk_break_word">';
                                                        $out.='<div class="wpb_text_column">';
                                                                $cat_helper=$post->ID;
                                                                $out.=the_excerpt_dynamic(22,$post->ID);
                                                            $out.='<div class="pulse_anchor prk_left_floated">';
                                                                $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color" data-color="'.$featured_color.'">';
                                                                    $out.=$prk_translations['read_more'].' &rarr;';
                                                                $out.='</a>';
                                                            $out.='</div>';
                                                            $out.='<div class="clearfix"></div>';
                                                        $out.='</div>';
                                                    $out.='</div>';
                                                $out.='</div>';
                                            $out.='</div>';
                                        endwhile; /* End loop */ 
                                    $out.='</div>';
                                $out.='</div>';
                                echo pulse_output().$out;
                            }
                            if ($i==0) {
                                echo '<h4 class="zero_color pulse_center_align">'.$prk_translations['search_help_1'].'</h4>';
                            }
                            else {
                                echo '<div class="clearfix bt_2x"></div>';
                                echo '<h4 class="zero_color pulse_center_align">'.$prk_translations['search_help_2'].'</h4>';
                            }
                            echo '<div class="clearfix bt_2x"></div>';
                            echo '<div class="small-6 small-centered columns">';
                            get_search_form();
                            echo '</div>';
                            echo '<div class="clearfix bt_2x"></div>';
                            echo '<ul class="unstyled pulse_center_align">';
                            echo '<li>'.$prk_translations['search_help_3'].'</li>';
                            echo '<li>'.$prk_translations['search_help_4'].'</li>';
                            echo '<li>'.$prk_translations['search_help_5'].'</li>';
                            echo '</ul>';
                            echo '<div class="clearfix bt_4x"></div>';
                        ?>
                        <div class="clearfix"></div>
                        <?php pulse_paging_nav(); ?>
                    </div>
                    <?php 
                        if ($show_sidebar) 
                        {
                        ?>   
                            <div id="pls_right_sidebar" class="<?php echo SIDEBAR_CLASSES; ?> inside right_floated zero_right">
                                <?php get_sidebar(); ?>
                            </div>
                        <?php
                    }
                    ?>
                </div>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>
<?php get_footer(); ?>