<?php
get_header();
$show_sidebar=$prk_pulse_options['right_sidebar'];
if ($show_sidebar=="1")
    $show_sidebar=true;
else
    $show_sidebar=false;
if (get_field('show_sidebar')=="yes")
{
    $show_sidebar=true;
}
if (get_field('show_sidebar')=="no")
{
    $show_sidebar=false;
}
if ($prk_pulse_options['autoplay_blog']=="1")
{
    $autoplay="true";
}
else
{
    $autoplay="false";
}
if (get_field('no_slider')=="1"){
    $sl_class="";
}
$featured_css=" post_without_media";
//CHECK IF IT IS A VIDEO OR A POST WITHOUT MEDIA
if (get_field('video_2')!="") {
    $featured_css=" post_with_video";
}
else {
    if (get_field('skip_featured')=="" && has_post_thumbnail($post->ID)) {
        $featured_css=" post_with_media";
    }
    else {
        for ($count=2;$count<11;$count++)
        {
            if (get_field('image_'.$count)!="") {
                $featured_css=" post_with_media";
                $count=11;
            }
        }
    }
}
$header_position=$prk_pulse_options['header_align_blog'];
while (have_posts()) : the_post();
    //GET THEME CUSTOM FIELDS INFO
    if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1") {
        $featured_color=get_field('featured_color');
        $featured_class=' featured_color';
    }
    else {
        $featured_color="default";
        $featured_class="";
    }
    if (has_post_thumbnail($post->ID) && (get_field('featured_header')=="featured_100" || get_field('featured_header')=="featured")) {
        $header_class=" pls_featured_header";
    }
    else {
        $header_class=" pulse_forced_menu";
    }
    $gut_class="";
    if (prk_check_gutenberg()) {
        $gut_class=' pulse_gutenberg';
    }
    ?>
    <div id="pulse_ajax_inner" class="pls_blog_single row<?php echo pulse_output().$header_class.$gut_class.$featured_class; ?>" data-color="<?php echo esc_attr($featured_color); ?>">
    <?php
    if ($header_class==" pls_featured_header") {
        if (get_field('featured_header')=="featured_100") {
            $header_position.=" forced_row vertical_forced_row";
            ?>
            <div class="featured_owl owl_parallaxed">
            <div class="per_init owl-carousel pulse_shortcode_slider super_height" data-navigation="true" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-delay="<?php echo esc_attr($prk_pulse_options['delay_blog']); ?>" data-color="<?php echo esc_attr($featured_color); ?>">
            <?php
        }
        else {
            $header_position.=" unforced_row";
            ?>
            <div class="featured_owl owl_parallaxed">
            <div class="per_init owl-carousel pulse_shortcode_slider" data-navigation="true" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-delay="<?php echo esc_attr($prk_pulse_options['delay_blog']); ?>" data-color="<?php echo esc_attr($featured_color); ?>">
            <?php
        }
        $ext_count=0;
        if (get_field('skip_featured')=="") {
            $vt_image = vt_resize( get_post_thumbnail_id($post->ID),'',0 , 0, false , $prk_retina_device );
            $parallaxy=' data-0-top-top="background-position-y: 0px;" data-0-top-bottom="background-position-y: 250px;" style="background-image: url('.$vt_image['url'].');"';
            $ext_count=1;
            echo '<div id="slide_'.$ext_count.'" class="item"'.$parallaxy.'>';
            echo '<img class="pulse_vsbl" src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" data-or_w="'.$vt_image['width'].'" data-or_h="'.$vt_image['height'].'"  alt="<?php echo pulse_output(); ?>" />';
            echo "</div>";
        }
        //PLACE THE OTHER NINE IMAGES
        for ($count=2;$count<11;$count++) {
            if (get_field('image_'.$count)!="") {
                $ext_count++;
                $in_image=wp_get_attachment_image_src(get_field('image_'.$count),'full');
                $vt_image = vt_resize( '', $in_image[0] , 0, 0, false , $prk_retina_device);
                $parallaxy=' data-0-top-top="background-position-y: 0px;" data-0-top-bottom="background-position-y: 250px;" style="background-image: url('.$vt_image['url'].');"';
                echo '<div id="slide_'.$ext_count.'" class="item"'.$parallaxy.'>';
                echo '<img class="pulse_vsbl" src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" data-or_w="'.$vt_image['width'].'" data-or_h="'.$vt_image['height'].'"  alt="<?php echo pulse_output(); ?>" />';
                echo "</div>";
            }
        }
        ?>
        </div>
        </div>
        <?php
    }
    ?>
    <div id="single_blog_info" class="<?php echo esc_attr($header_position); ?> pls_first_row">
        <div class="small-12 columns prk_inner_block small-centered">
            <div class="wpb_column column_container">
                <?php
                $content = get_post_field('post_content',$post->ID);
                $count_read = round(str_word_count(strip_tags($content))/200);
                if ($count_read==0)
                    $count_read=1;
                if ($header_class==" pulse_forced_menu") {
                    ?>
                    <div class="pulse_read header_font prk_heavier_600 prk_9_em pls_min_read">
                        <a href="#pulse_content" class="pulse_anchor zero_color" data-color="<?php echo esc_attr($featured_color); ?>">
                            <?php echo esc_attr($count_read.' '.$prk_translations['min_read_text']); ?>
                        </a>
                    </div>
                    <?php
                }
                ?>
                <h1 id="single_blog_title" class="<?php echo esc_attr($prk_pulse_options['headings_align']); ?> header_font zero_color prk_break_word">
                    <?php the_title(); ?>
                </h1>
                <div id="single_post_teaser" class="<?php echo esc_attr($prk_pulse_options['headings_align']); ?>">
                    <div id="single_blog_meta" class="header_font prk_heavier_600 small_headings_color pulse_blog_uppercased prk_85_em">
                        <div class="single_blog_meta_div">
                            <?php
                            if (is_sticky())
                            {
                                ?>
                                <div class="prk_left_floated sticky_text">
                                    <?php echo esc_attr($prk_translations['sticky_text']); ?>
                                </div>
                                <div class="pir_divider"><?php echo esc_attr($prk_pulse_options['theme_divider']); ?></div>
                                <?php
                            }
                            if ($prk_pulse_options['show_date_blog']=="1")
                            {
                                echo '<div class="prk_left_floated">';
                                echo the_time(get_option('date_format'));
                                echo '</div>';
                            }
                            ?>
                        </div>
                        <?php
                        if ($prk_pulse_options['categoriesby_blog']=="1")
                        {
                            ?>
                            <div class="single_blog_meta_div">
                                <div class="pir_divider"><?php echo esc_attr($prk_pulse_options['theme_divider']); ?></div>
                                <div class="prk_left_floated pls_colored_link pulse_anchor">
                                    <?php the_category(', '); ?>
                                </div>
                            </div>
                            <?php
                        }
                        if (comments_open()) {
                            ?>
                            <div class="single_blog_meta_div hide_later">
                                <div class="pir_divider"><?php echo esc_attr($prk_pulse_options['theme_divider']); ?></div>
                                <div class="prk_left_floated pls_colored_link">
                                    <a href="<?php comments_link(); ?>" class="pulse_anchor">
                                        <?php
                                        comments_number($prk_translations['comments_no_response'], $prk_translations['comments_one_response'], '% '.$prk_translations['comments_oneplus_response']);
                                        ?>
                                    </a>
                                </div>
                            </div>
                            <?php
                        }
                        ?>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <?php
                if ($header_class==" pulse_forced_menu") {
                    if ($featured_css==" post_with_video") {
                        echo '<div id="not_slider">';
                        $el_class='prk-video-container';
                        if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                            $el_class= 'soundcloud-container';
                        }
                        echo '<div class="'.$el_class.'">'.get_field('video_2').'</div>';
                        echo "</div>";
                    }
                    if ($featured_css==" post_with_media") {
                        ?>
                        <div class="featured_owl">
                            <div class="per_init owl-carousel pulse_shortcode_slider" data-navigation="true" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-delay="<?php echo esc_attr($prk_pulse_options['delay_blog']); ?>" data-color="<?php echo esc_attr($featured_color); ?>">
                                <?php
                                $ext_count=0;
                                $imgs_width=$prk_pulse_options['custom_width_blog'];
                                if ($imgs_width<690)
                                    $imgs_width=690;
                                if (get_field('skip_featured')=="" && has_post_thumbnail($post->ID))
                                {
                                    $vt_image = vt_resize( get_post_thumbnail_id($post->ID),'',$imgs_width, 0, false , $prk_retina_device );
                                    $ext_count=1;
                                    echo '<div id="slide_'.$ext_count.'" class="item">';
                                    echo '<img class="pulse_vsbl" src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'"  data-or_w="'.$vt_image['width'].'" data-or_h="'.$vt_image['height'].'"  alt="<?php echo pulse_output(); ?>" />';
                                    echo "</div>";
                                }
                                //PLACE THE OTHER NINE IMAGES
                                for ($count=2;$count<11;$count++)
                                {
                                    if (get_field('image_'.$count)!="")
                                    {
                                        $ext_count++;
                                        echo '<div id="slide_'.$ext_count.'" class="item">';
                                        $in_image=wp_get_attachment_image_src(get_field('image_'.$count),'full');
                                        $vt_image = vt_resize( '', $in_image[0] , $imgs_width, 0, false , $prk_retina_device);
                                        echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                        echo "</div>";
                                    }
                                }
                                ?>
                            </div>
                        </div>
                        <?php
                    }
                }
                ?>
            </div>
        </div>
        <?php
        if ($header_class!=" pulse_forced_menu") {
            echo '<div class="pulse_read pls_min_read">';
            echo '<div class="theme_button prk_tiny"><a href="#pulse_content" class="pulse_anchor prk_transparent">'.$count_read.' '.$prk_translations['min_read_text'].'</a></div>';
            echo '<div class="clearfix"></div>';
            echo '<i class="pulse_fa-chevron-down"></i>';
            echo '</div>';
        }
        ?>
    </div>
    <div id="pulse_content" data-parent="<?php if (get_field('parent_page')!=""){echo esc_url(get_field('parent_page'));}else {echo esc_url(get_page_link(prk_get_parent_blog()));} ?>" class="small-12 columns prk_inner_block small-centered">
        <div class="row">
            <div class="<?php if ($show_sidebar) {echo "small-9 columns"; } else {echo "small-12 columns";} ?>">
                <article id="single_blog_inner" <?php post_class('blog_limited_width'.esc_attr($featured_class)); ?> data-color="<?php echo esc_attr($featured_color); ?>">
                    <div id="single_post_content" class="on_colored prk_no_composer prk_break_word<?php if(!has_shortcode(get_the_content(),'vc_row')) {echo " prk_composer_extra";} ?>">
                        <?php
                        the_content();
                        wp_link_pages('before=<p class="pulse_anchor">&after=</p>');
                        if ($prk_pulse_options['share_blog']=="1") {
                            prk_output_share($post->ID);
                        }
                        if (get_the_tags()!="") {
                            ?>
                            <div id="prk_tags" class="twelve prk_heavier_500 header_font">
                                <div id="prk_tag_heading">
                                    <div class="zero_color prk_heavier_600 pulse_anchor">
                                        <?php echo pulse_output().$prk_translations['tags_text']; ?>
                                    </div>
                                </div>
                                <div id="prk_tags_inner" class="prk_buttons_list"><?php the_tags('<div class="theme_button prk_tiny">','</div><div class="theme_button prk_tiny">','</div>'); ?></div>
                            </div>
                            <div class="clearfix"></div>
                            <?php
                        }
                        ?>
                    </div>
                    <div class="clearfix"></div>
                    <?php
                    if ($prk_pulse_options['show_blog_nav']=="1") {
                        ?>
                        <div id="single_meta_header">
                            <div class="simple_line"></div>
                            <div class="pulse_navigation_singles header_font small_headings_color pulse_anchor">
                                <div class="navigation-previous-blog prk_left_floated pls_colored_link">
                                    <?php previous_post_link_plus( array(
                                        'order_by' => 'menu_order',
                                        'in_same_cat' => false,
                                        'format' => '%link',
                                        'link' => '<div class="prk_left_floated"><div class="special_heading prk_heavier_600 prk_75_em">'.$prk_translations['older_single'].'</div><div class="prk_heavier_600">%title</div></div>'
                                    ));
                                    ?>
                                </div>
                                <div class="navigation-next-blog prk_right_floated pulse_right_align pls_colored_link">
                                    <?php next_post_link_plus( array(
                                        'order_by' => 'menu_order',
                                        'in_same_cat' => false,
                                        'format' => '%link',
                                        'link' => '<div class="prk_left_floated"><div class="special_heading prk_heavier_600 prk_75_em">'.$prk_translations['newer_single'].'</div><div class="prk_heavier_600">%title</div></div>'
                                    ));
                                    ?>
                                </div>
                                <div class="clearfix"></div>
                            </div>
                        </div>
                        <div class="clearfix"></div>
                        <?php
                    }
                    ?>
                    <?php
                    $auth_array=get_user_by('slug', get_the_author_meta('user_nicename'));
                    if ($prk_pulse_options['related_author']=="1" && isset($auth_array->description) && $auth_array->description!="")
                    {
                        ?>
                        <div id="author_area">
                            <div class="simple_line"></div>
                            <?php
                            if (function_exists('get_avatar')) {
                                echo "<div class='prk_author_avatar'>";
                                echo '<a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="pulse_anchor">';
                                if (get_the_author_meta('prk_author_custom_avatar')!="") {
                                    $vt_image=vt_resize( '', get_the_author_meta('prk_author_custom_avatar') ,200,0 , false , false );
                                    echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" class="mb_in_img" />';
                                }
                                else {
                                    echo pulse_output().get_avatar(get_the_author_meta('email'),'216');
                                }
                                echo '</a>';
                                echo '</div>';
                            }
                            ?>
                            <div class="author_info">
                                <div class="header_font">
                                    <h4 class="zero_color prk_heavier_700 small pulse_anchor">
                                        <?php echo the_author_posts_link(); ?>
                                    </h4>
                                    <?php
                                    if (get_the_author_meta('prk_subheading')!="") {
                                        echo '<div id="single_page_teaser" class="prk_85_em small_headings_color">'.get_the_author_meta('prk_subheading').'</div>';
                                    }
                                    ?>
                                </div>
                                <?php
                                echo '<div class="author_description body_colored prk_9_em">'.nl2br($auth_array->description).'</div>';
                                ?>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <?php
                    }
                    comments_template();
                    prk_related_posts($post->ID);
                    ?>
                </article>
            </div>
            <?php
            if ($show_sidebar)
            {
                ?>
                <aside id="pls_right_sidebar" class="<?php echo SIDEBAR_CLASSES; ?>">
                    <?php get_sidebar(); ?>
                </aside>
                <?php
            }
            ?>
        </div>
    </div>
    <div class="clearfix"></div>
    </div>
<?php endwhile; /* End loop */ ?>
<?php get_footer(); ?>