<?php
/*
Template Name: Blog Page
*/
get_header();
global $prk_retina_device;
if (get_field('blog_layout')=="masonry") //MASONRY LAYOUT ----------------------------+++----------------------------
{
    $show_sidebar=$prk_pulse_options['right_sidebar'];
    if ($show_sidebar=="1")
        $show_sidebar=true;
    else
        $show_sidebar=false;
    if (get_field('show_sidebar')=="yes")
    {
        $show_sidebar=true;
    }
    if (get_field('show_sidebar')=="no")
    {
        $show_sidebar=false;
    }
    $show_title=true;
    if (get_field('hide_title')=="1")
    {
        $show_title=false;
    }
    $show_slider=get_field('featured_slider');
    if (get_field('featured_slider_autoplay')=="1")
        $autoplay="true";
    else
        $autoplay="false";
    $delay=get_field('featured_slider_delay');
    if (get_field('featured_slider_supersize')=="1")
        $fill_height="super_height";
    else
        $fill_height="";
    if (get_field('featured_slider_arrows')=="1")
        $navigation="true";
    else
        $navigation="false";
    if (get_field('featured_slider_parallax')=="1")
        $parallax="owl_parallaxed";
    else
        $parallax="owl_regular";
    if (get_field('featured_slider_dots')=="1")
        $pagination="true";
    else
        $pagination="false";
    $inside_filter="";
    if (get_field('slide_filter')!="")
    {
        $filter=get_field('slide_filter');
        foreach ($filter as $child)
        {
            //ADD THE CATEGORIES TO THE FILTER
            $inside_filter.=$child->slug.", ";
        }
    }
    if (get_field('featured_header')=="1") {
        $featured_style='';
    }
    else {
        $featured_style=' pulse_forced_menu"';
    }
    $iso_images_max_w=390;
    $iso_images_min_w=340;
    ?>
    <div id="pulse_ajax_inner" class="page-prk-blog-masonry<?php echo pulse_output().$featured_style; ?>">
        <div id="pulse_content">
            <?php
            if ($show_title==true)
            {
                $uppercase_me="";
                if (get_field('uppercase_title')=="1") {
                    $uppercase_me=" uppercased_title";
                }
                echo '<div id="classic_title_wrapper">';
                echo '<div id="classic_title_container">';
                echo '<div class="small-12 small-centered columns prk_inner_block'.$uppercase_me.'">';
                prk_output_title();
                echo '</div>';
                echo '</div>';
                echo '</div>';
            }
            else
            {
                wp_reset_postdata();
                if ($show_slider=="yes")
                {
                    echo '<div class="featured_owl '.$parallax.'">';
                    echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                    echo '</div>';
                }
                if ($show_slider=="revolution")
                {
                    echo '<div class="prk_rv">';
                    echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                    echo '</div><div id="mobile_sizer"></div>';
                }

                while (have_posts()) : the_post();
                    if (get_the_content()!="") {
                        if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                            echo '<div id="s_sec_inner" class="row">';
                            the_content();
                            echo '</div>';
                        }
                        else {
                            echo '<div class="row">';
                            if (PRK_PULSE_COMPOSER=="true") {
                                echo '<div id="s_sec_inner" class="row">';
                                echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                echo '</div>';
                            }
                            else {
                                echo '<div id="s_sec_inner" class="row">';
                                the_content();
                                echo '</div>';
                            }
                            echo '</div>';
                            echo '<div class="clearfix bt_2x"></div>';
                        }
                    }
                endwhile;
            }
            ?>
            <div id="pulse_content_inner">
                <div class="prk_inner_block small-12 small-centered columns row">
                    <?php
                    if ($show_title==true)
                    {
                        wp_reset_postdata();
                        if ($show_slider=="yes")
                        {
                            echo '<div class="featured_owl '.$parallax.'">';
                            echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                            echo '</div>';
                        }
                        if ($show_slider=="revolution")
                        {
                            echo '<div class="prk_rv">';
                            echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                            echo '</div><div id="mobile_sizer"></div>';
                        }
                        while (have_posts()) : the_post();
                            if (get_the_content()!="") {
                                if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                                    echo '<div id="s_sec_inner" class="row">';
                                    the_content();
                                    echo '</div>';
                                }
                                else {
                                    echo '<div class="row">';
                                    if (PRK_PULSE_COMPOSER=="true") {
                                        echo '<div id="s_sec_inner" class="row">';
                                        echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                        echo '</div>';
                                    }
                                    else {
                                        echo '<div id="s_sec_inner" class="row">';
                                        the_content();
                                        echo '</div>';
                                    }
                                    echo '</div>';
                                    echo '<div class="clearfix bt_2x"></div>';
                                }
                            }
                        endwhile;
                    }
                    if ($show_sidebar==true)
                    {
                        echo '<div class="row">';
                        echo '<div class="small-9 columns">';
                    }
                    else
                    {
                        echo '<div class="pulse_wider">';
                    }
                    wp_reset_postdata();
                    if(is_front_page())
                    {
                        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
                    }
                    else
                    {
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    }
                    $my_query = new WP_Query();
                    $inside_filter="";
                    if (get_field('blog_filter')!="")
                    {
                        $filter=get_field('blog_filter');
                        foreach ($filter as $child)
                        {
                            //ADD THE CATEGORIES TO THE FILTER
                            $inside_filter.=$child->slug.", ";
                        }
                    }
                    $page_title=get_the_title();
                    $nav_type=get_field('navigation_type');
                    if ($nav_type=="ajaxed") {
                        $query_number="999";
                    }
                    else {
                        $query_number=get_query_var('posts_per_page');
                    }
                    $posts_per_page = get_query_var('posts_per_page');
                    $args = array(
                        'post_type' => 'post',
                        'paged'=>$paged,
                        'category_name'=>$inside_filter,
                        'posts_per_page' => $query_number,
                    );
                    $my_query->query($args);
                    if ($my_query->have_posts()) :
                        $post_counter=1;
                        $alt_flag=true;
                        if (get_field('thumbs_margin')!="")
                        {
                            $thumbs_margin=get_field('thumbs_margin');
                        }
                        else
                        {
                            $thumbs_margin=18;
                        }
                        $out='<div id="blog_masonry_father" class="row" data-items="'.$posts_per_page.'">';
                        $terms = get_terms("category");
                        $count = count($terms);
                        if (get_field('show_filter')=="1") {
                            $filter_array=explode(",",$inside_filter);
                            $filter_array=array_filter(array_map('trim', $filter_array));
                            $out.='<div class="filter_blog">';
                            $out.='<div class="pulse_blog_filter '.get_field('filter_align').'">';
                            $out.='<ul class="header_font pulse_blog_uppercased clearfix small_headings_color prk_heavier_600">';
                            $out.='<li class="active small b_filter">';
                            $out.='<a class="all" data-filter="b_all" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$prk_translations['all_text'].'</a>';
                            $out.='</li>';
                            if ($count > 0)
                            {
                                foreach ( $terms as $term ) {
                                    if (in_array($term->slug, $filter_array) !== false || $inside_filter=="")
                                        $out.='<li class="small b_filter"><a class="'.$term->slug.'" data-filter="'.$term->slug.'" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$term->name.'</a></li>';
                                }
                            }
                            $out.='</ul>';
                            $out.='</div>';
                            $out.='</div>';
                        }
                        $out.='<div class="templated masonry_blog per_init prk_section clearfix" data-max-width="'.$iso_images_max_w.'" data-min-width="'.$iso_images_min_w.'" data-margin="'.$thumbs_margin.'">';
                        $out.='<div class="grid-sizer"></div>';
                        while ($my_query->have_posts()) : $my_query->the_post();
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color ";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }
                            if (!has_post_thumbnail($post->ID) && get_field('video_2')=="") {
                                $featured_class.=" pls_no_img";
                            }
                            $category=get_the_category();
                            $filters=" b_all";
                            foreach($category as $inner) {
                                $filters.=" ".$inner->slug;
                            }
                            if ($post_counter<=$posts_per_page) {
                                $out.='<div id="post-'.$post->ID.'" class="blog_entry_li hidden_by_css clearfix'.$featured_class.$filters.'" data-id="id-'.$post_counter.'" data-color="'.$featured_color.'">';
                                $out.='<div class="masonry_inner">';
                                if (has_post_thumbnail($post->ID)) {
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                    $out.='<div class="masonr_img_wp">';
                                    $out.='<div class="blog_fader_grid centerized_father_blog">';
                                    $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                    $out.='</div>';
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 680, 0, false , $prk_retina_device );//620 is for single row on small screens
                                    $out.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$post->ID.'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                    $out.='</a>';
                                }
                                else
                                {
                                    //CHECK IF THERE'S A VIDEO TO SHOW
                                    if (get_field('video_2')!="")
                                    {
                                        $el_class='video-container';
                                        if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                            $el_class= 'soundcloud-container';
                                        }
                                        $out.='<div class="'.$el_class.'">';
                                        $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                        $out.='</div>';
                                    }
                                }
                                $out.='<div class="header_font prk_mini_meta small">';
                                $out.='<div class="entry_title prk_left_floated">';
                                $out.='<h4 class="prk_heavier_600 big">';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h4>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="pulse_blog_meta prk_75_em pulse_blog_uppercased prk_heavier_600 small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky()) {
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $divide_me=true;
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }

                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="pulse_anchor prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="not_zero_color">'.get_the_author().'</a>';
                                    $out.='</div>';
                                }
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="on_colored entry_content prk_break_word">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.=the_excerpt_dynamic(22,$post->ID);
                                $out.='<div class="pulse_anchor prk_left_floated">';
                                $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color" data-color="'.$featured_color.'">';
                                $out.=$prk_translations['read_more'].' &rarr;';
                                $out.='</a>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="blog_lower prk_bordered_top header_font prk_75_em small_headings_color pulse_blog_uppercased prk_heavier_600">';
                                $out.='<div class="small-12">';
                                if ($prk_pulse_options['categoriesby_blog']=="1")
                                {
                                    $out.='<div class="prk_left_floated pulse_anchor">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $arra=get_the_category($post->ID);
                                    if(!empty($arra)) {
                                        $count_cats=0;
                                        foreach($arra as $s_cat)
                                        {
                                            if ($count_cats>0)
                                                $out.=', ';
                                            $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts">'.$s_cat->cat_name.'</a>';
                                            $count_cats++;
                                        }
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="prk_right_floated pulse_anchor pls_min_read">';
                                $out.='<a href="'.get_permalink($cat_helper).'" data-color="'.$featured_color.'">';
                                $content = get_post_field('post_content',$post->ID);
                                $count = round(str_word_count(strip_tags($content))/200);
                                if ($count==0)
                                    $count=1;
                                $out.=$count.' '.$prk_translations['min_read_text'];
                                $out.='</a>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                //END POST
                            }
                            else if ($nav_type=='ajaxed') {
                                if ($alt_flag==true)
                                {
                                    $out.='</div>';
                                    $out.='<div class="blog_appender hide_now">';
                                    $alt_flag=false;
                                }
                                $out.='<div id="post-'.$post->ID.'" class="blog_entry_li hidden_by_css clearfix'.$featured_class.$filters.'" data-id="id-'.$post_counter.'" data-color="'.$featured_color.'">';
                                $out.='<div class="masonry_inner">';
                                if (has_post_thumbnail($post->ID)) {
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                    $out.='<div class="masonr_img_wp">';
                                    $out.='<div class="blog_fader_grid centerized_father_blog">';
                                    $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                    $out.='</div>';
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 680, 0, false , $prk_retina_device );//620 is for single row on small screens
                                    $out.='<img src="'.get_template_directory_uri().'/images/spacer.gif" data-src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$post->ID.'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                    $out.='</a>';
                                }
                                else
                                {
                                    //CHECK IF THERE'S A VIDEO TO SHOW
                                    if (get_field('video_2')!="")
                                    {
                                        $el_class='video-container';
                                        if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                            $el_class= 'soundcloud-container';
                                        }
                                        $out.='<div class="'.$el_class.'">';
                                        $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                        $out.='</div>';
                                    }
                                }
                                $out.='<div class="header_font prk_mini_meta small">';
                                $out.='<div class="entry_title prk_left_floated">';
                                $out.='<h4 class="prk_heavier_600 big">';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h4>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="pulse_blog_uppercased prk_heavier_600 pulse_blog_meta prk_75_em small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky()) {
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $divide_me=true;
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }

                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="pulse_anchor prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="not_zero_color">'.get_the_author().'</a>';
                                    $out.='</div>';
                                }
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="on_colored entry_content prk_break_word">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.=the_excerpt_dynamic(22,$post->ID);
                                $out.='<div class="pulse_anchor prk_left_floated">';
                                $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color" data-color="'.$featured_color.'">';
                                $out.=$prk_translations['read_more'].' &rarr;';
                                $out.='</a>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="prk_heavier_600 blog_lower prk_bordered_top header_font prk_75_em small_headings_color pulse_blog_uppercased">';
                                $out.='<div class="small-12">';
                                if ($prk_pulse_options['categoriesby_blog']=="1")
                                {
                                    $out.='<div class="prk_left_floated pulse_anchor">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $arra=get_the_category($post->ID);
                                    if(!empty($arra)) {
                                        $count_cats=0;
                                        foreach($arra as $s_cat)
                                        {
                                            if ($count_cats>0)
                                                $out.=', ';
                                            $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts">'.$s_cat->cat_name.'</a>';
                                            $count_cats++;
                                        }
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="prk_right_floated pulse_anchor pls_min_read">';
                                $out.='<a href="'.get_permalink($cat_helper).'" data-color="'.$featured_color.'">';
                                $content = get_post_field('post_content',$post->ID);
                                $count = round(str_word_count(strip_tags($content))/200);
                                if ($count==0)
                                    $count=1;
                                $out.=$count.' '.$prk_translations['min_read_text'];
                                $out.='</a>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                //END POST
                            }
                            $post_counter++;
                        endwhile;
                        $out.='</div>';
                        if ($alt_flag==false) {
                            $out.='<div class="outer_load_more">';
                            $out.='<div class="blog_load_more theme_button" data-no_more="'.$prk_translations['no_more'].'">';
                            $out.='<a href="#">';
                            $out.=$prk_translations['load_more'];
                            $out.='</a>';
                            $out.='<i class="pulse_button_arrow pulse_fa-chevron-down not_zero_color"></i>';
                            $out.='</div>';
                            $out.='<div id="ajax_spinner" class="spinner-icon"></div>';
                            $out.='</div>';
                        }
                    endif;
                    //SHOW NAVIGATION
                    if ($my_query->max_num_pages>1 && $nav_type!='ajaxed') {
                        $out.='<div id="entries_navigation_blog" class="row pulse_blog_uppercased prk_bordered_top">';
                        $out.='<div class="small-12 small-centered">';
                        $out.='<div id="prk_nav_inner" class="pulse_anchor">';
                        $out.='<div class="small-12 header_font small_headings_color prk_heavier_600">';
                        $out.=get_next_posts_link('<div class="prk_left_floated navigation-previous-blog"><i class="prk_left_floated pulse_fa-chevron-left prk_left_floated"></i><div class="prk_left_floated"><div class="blog_naver_left">'.$prk_translations['older'].'</div></div></div>',$my_query->max_num_pages);
                        $out.=get_previous_posts_link('<div class="prk_right_floated pulse_right_align navigation-next-blog"><div class="prk_left_floated"><div class="blog_naver_right">'.$prk_translations['newer'].'</div></div><i class="pulse_fa-chevron-right prk_left_floated"></i></div>',$my_query->max_num_pages);
                        $out.='</div>';
                        $out.='<div class="clearfix"></div>';
                        $out.='</div>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    echo pulse_output().$out;
                    ?>
                </div>
            </div>
            <?php
            if ($show_sidebar)
            {
                ?>
                <aside id="sidebar" class="<?php echo SIDEBAR_CLASSES; ?>">
                    <?php get_sidebar(); ?>
                </aside>
                <?php
                echo '</div>';
                echo '</div>';
            }
            ?>
            <div class="clearfix"></div>
        </div>
    </div>
    </div>
    </div>
    <?php
}
else if (get_field('blog_layout')=="grid") //GRID LAYOUT ----------------------------+++----------------------------
{
    $show_sidebar=$prk_pulse_options['right_sidebar'];
    if ($show_sidebar=="1")
        $show_sidebar=true;
    else
        $show_sidebar=false;
    if (get_field('show_sidebar')=="yes")
    {
        $show_sidebar=true;
    }
    if (get_field('show_sidebar')=="no")
    {
        $show_sidebar=false;
    }
    $show_title=true;
    if (get_field('hide_title')=="1")
    {
        $show_title=false;
    }
    $show_slider=get_field('featured_slider');
    if (get_field('featured_slider_autoplay')=="1")
        $autoplay="true";
    else
        $autoplay="false";
    $delay=get_field('featured_slider_delay');
    if (get_field('featured_slider_supersize')=="1")
        $fill_height="super_height";
    else
        $fill_height="";
    if (get_field('featured_slider_arrows')=="1")
        $navigation="true";
    else
        $navigation="false";
    if (get_field('featured_slider_parallax')=="1")
        $parallax="owl_parallaxed";
    else
        $parallax="owl_regular";
    if (get_field('featured_slider_dots')=="1")
        $pagination="true";
    else
        $pagination="false";
    $inside_filter="";
    if (get_field('slide_filter')!="")
    {
        $filter=get_field('slide_filter');
        foreach ($filter as $child)
        {
            //ADD THE CATEGORIES TO THE FILTER
            $inside_filter.=$child->slug.", ";
        }
    }
    if (get_field('featured_header')=="1") {
        $featured_style='';
    }
    else {
        $featured_style=' pulse_forced_menu"';
    }
    $iso_images_max_w=390;
    $iso_images_min_w=340;
    ?>
    <div id="pulse_ajax_inner" class="page-prk-blog-grid<?php echo pulse_output().$featured_style; ?>">
        <div id="pulse_content">
            <?php
            if ($show_title==true)
            {
                $uppercase_me="";
                if (get_field('uppercase_title')=="1") {
                    $uppercase_me=" uppercased_title";
                }
                echo '<div id="classic_title_wrapper">';
                echo '<div id="classic_title_container">';
                echo '<div class="small-12 small-centered columns prk_inner_block'.$uppercase_me.'">';
                prk_output_title();
                echo '</div>';
                echo '</div>';
                echo '</div>';
            }
            else
            {
                wp_reset_postdata();
                if ($show_slider=="yes")
                {
                    echo '<div class="featured_owl '.$parallax.'">';
                    echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                    echo '</div>';
                }
                if ($show_slider=="revolution")
                {
                    echo '<div class="prk_rv">';
                    echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                    echo '</div><div id="mobile_sizer"></div>';
                }
                while (have_posts()) : the_post();
                    if (get_the_content()!="") {
                        if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                            echo '<div id="s_sec_inner" class="row">';
                            the_content();
                            echo '</div>';
                        }
                        else {
                            echo '<div class="row">';
                            if (PRK_PULSE_COMPOSER=="true") {
                                echo '<div id="s_sec_inner" class="row">';
                                echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                echo '</div>';
                            }
                            else {
                                echo '<div id="s_sec_inner" class="row">';
                                the_content();
                                echo '</div>';
                            }
                            echo '</div>';
                            echo '<div class="clearfix bt_2x"></div>';
                        }
                    }
                endwhile;
            }
            ?>
            <div id="pulse_content_inner">
                <div class="prk_inner_block small-12 small-centered columns row">
                    <?php
                    if ($show_title==true)
                    {
                        wp_reset_postdata();
                        if ($show_slider=="yes")
                        {
                            echo '<div class="featured_owl '.$parallax.'">';
                            echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                            echo '</div>';
                        }
                        if ($show_slider=="revolution")
                        {
                            echo '<div class="prk_rv">';
                            echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                            echo '</div><div id="mobile_sizer"></div>';
                        }
                        while (have_posts()) : the_post();
                            if (get_the_content()!="") {
                                if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                                    echo '<div id="s_sec_inner" class="row">';
                                    the_content();
                                    echo '</div>';
                                }
                                else {
                                    echo '<div class="row">';
                                    if (PRK_PULSE_COMPOSER=="true") {
                                        echo '<div id="s_sec_inner" class="row">';
                                        echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                        echo '</div>';
                                    }
                                    else {
                                        echo '<div id="s_sec_inner" class="row">';
                                        the_content();
                                        echo '</div>';
                                    }
                                    echo '</div>';
                                    echo '<div class="clearfix bt_2x"></div>';
                                }
                            }
                        endwhile;
                    }
                    if ($show_sidebar==true)
                    {
                        echo '<div class="row">';
                        echo '<div class="small-9 columns">';
                    }
                    else
                    {
                        echo '<div class="pulse_wider">';
                    }
                    wp_reset_postdata();
                    if(is_front_page())
                    {
                        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
                    }
                    else
                    {
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    }
                    $my_query = new WP_Query();
                    $inside_filter="";
                    if (get_field('blog_filter')!="")
                    {
                        $filter=get_field('blog_filter');
                        foreach ($filter as $child)
                        {
                            //ADD THE CATEGORIES TO THE FILTER
                            $inside_filter.=$child->slug.", ";
                        }
                    }
                    $layout_type_grid=get_field('grid_layout');
                    $page_title=get_the_title();
                    $nav_type=get_field('navigation_type');
                    if ($nav_type=="ajaxed") {
                        $query_number="999";
                    }
                    else {
                        $query_number=get_query_var('posts_per_page');
                    }
                    $posts_per_page = get_query_var('posts_per_page');
                    $args = array(
                        'post_type' => 'post',
                        'paged'=>$paged,
                        'category_name'=>$inside_filter,
                        'posts_per_page' => $query_number,
                    );
                    $my_query->query($args);
                    if ($my_query->have_posts()) :
                        $post_counter=1;
                        $alt_flag=true;
                        if (get_field('thumbs_margin')!="")
                        {
                            $thumbs_margin=get_field('thumbs_margin');
                        }
                        else
                        {
                            $thumbs_margin=16;
                        }
                        $out='<div id="blog_masonry_father" class="row" data-items="'.$posts_per_page.'">';
                        $terms = get_terms("category");
                        $count = count($terms);
                        if (get_field('show_filter')=="1") {
                            $filter_array=explode(",",$inside_filter);
                            $filter_array=array_filter(array_map('trim', $filter_array));
                            $out.='<div class="filter_blog">';
                            $out.='<div class="pulse_blog_filter '.get_field('filter_align').'">';
                            $out.='<ul class="header_font pulse_blog_uppercased clearfix small_headings_color prk_heavier_600">';
                            $out.='<li class="active small b_filter">';
                            $out.='<a class="all" data-filter="b_all" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$prk_translations['all_text'].'</a>';
                            $out.='</li>';
                            if ($count > 0)
                            {
                                foreach ( $terms as $term ) {
                                    if (in_array($term->slug, $filter_array) !== false || $inside_filter=="")
                                        $out.='<li class="small b_filter"><a class="'.$term->slug.'" data-filter="'.$term->slug.'" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$term->name.'</a></li>';
                                }
                            }
                            $out.='</ul>';
                            $out.='</div>';
                            $out.='</div>';
                        }
                        $out.='<div class="templated masonry_blog per_init prk_section clearfix" data-max-width="'.$iso_images_max_w.'" data-min-width="'.$iso_images_min_w.'" data-margin="'.$thumbs_margin.'">';
                        $out.='<div class="grid-sizer"></div>';
                        while ($my_query->have_posts()) : $my_query->the_post();
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color ";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }
                            $category=get_the_category();
                            $filters=" b_all";
                            foreach($category as $inner) {
                                $filters.=" ".$inner->slug;
                            }
                            if (has_post_thumbnail($post->ID)) {
                                if ($post_counter<=$posts_per_page) {
                                    $forced_w=680;
                                    if ($post_counter==1) {
                                        $featured_class.=" forced_100";
                                        $forced_w=$prk_pulse_options['custom_width'];
                                    }
                                    $out.='<div id="post-'.$post->ID.'" class="blog_entry_li hidden_by_css clearfix'.$featured_class.$filters.'" data-id="id-'.$post_counter.'" data-color="'.$featured_color.'">';
                                    $out.='<div class="masonry_inner">';
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                    $out.='<div class="lower_blog_grid body_bk_color header_font">';
                                    $out.='<div class="small-12 pulse_blog_uppercased prk_heavier_600">'.get_the_date('M j, Y').'</div>';
                                    $out.='<div class="small-12 pls_grid_title"><h3>';
                                    $out.=get_the_title();
                                    $out.='</h3></div>';
                                    $out.='<div class="small-12 pulse_blog_uppercased prk_heavier_600">'.$prk_translations['posted_by_text'].' <span class="not_zero_color">'.get_the_author().'</span></div>';
                                    $out.='</div>';
                                    $out.='<div class="masonr_img_wp">';
                                    $out.='<div class="blog_fader_grid pls_gridy"></div>';
                                    //$vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 680, 0, false , $prk_retina_device );//620 is for single row on small screens

                                    /*if ($cols_number!="variable" && is_numeric($cols_number))
                                        $forced_w=1920/$cols_number;
                                    if ($forced_w<480)
                                        $forced_w=480;*/
                                    if ($layout_type_grid=="masonry") {
                                        $forced_h=0;
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, false , $prk_retina_device );
                                    }
                                    else if ($layout_type_grid=="squares")
                                    {
                                        $forced_h=$forced_w;
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    else if ($layout_type_grid=="grid_vertical")
                                    {
                                        $forced_h=floor($forced_w*3/2);
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    else
                                    {
                                        $forced_h=floor($forced_w*2/3);
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    $out.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$post->ID.'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                    $out.='</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                    //END POST
                                }
                                else if ($nav_type=='ajaxed') {
                                    if ($alt_flag==true)
                                    {
                                        $out.='</div>';
                                        $out.='<div class="blog_appender hide_now">';
                                        $alt_flag=false;
                                    }
                                    $out.='<div id="post-'.$post->ID.'" class="blog_entry_li hidden_by_css clearfix'.$featured_class.$filters.'" data-id="id-'.$post_counter.'" data-color="'.$featured_color.'">';
                                    $out.='<div class="masonry_inner">';
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                    $out.='<div class="lower_blog_grid body_bk_color header_font">';
                                    $out.='<div class="small-12 pulse_blog_uppercased prk_heavier_600">'.get_the_date('M j, Y').'</div>';
                                    $out.='<div class="small-12 pls_grid_title"><h3>';
                                    $out.=get_the_title();
                                    $out.='</h3></div>';
                                    $out.='<div class="small-12 pulse_blog_uppercased prk_heavier_600">'.$prk_translations['posted_by_text'].' <span class="not_zero_color">'.get_the_author().'</span></div>';
                                    $out.='</div>';
                                    $out.='<div class="masonr_img_wp">';
                                    $out.='<div class="blog_fader_grid pls_gridy">';

                                    $out.='</div>';
                                    //$vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , 680, 0, false , $prk_retina_device );//620 is for single row on small screens
                                    $forced_w=680;
                                    /*if ($cols_number!="variable" && is_numeric($cols_number))
                                        $forced_w=1920/$cols_number;
                                    if ($forced_w<480)
                                        $forced_w=480;*/
                                    if ($layout_type_grid=="masonry") {
                                        $forced_h=0;
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, false , $prk_retina_device );
                                    }
                                    else if ($layout_type_grid=="squares")
                                    {
                                        $forced_h=$forced_w;
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    else if ($layout_type_grid=="grid_vertical")
                                    {
                                        $forced_h=floor($forced_w*3/2);
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    else
                                    {
                                        $forced_h=floor($forced_w*2/3);
                                        $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                                    }
                                    $out.='<img src="'.get_template_directory_uri().'/images/spacer.gif" data-src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$post->ID.'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                    $out.='</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                    //END POST
                                }
                                $post_counter++;
                            }
                        endwhile;
                        $out.='</div>';
                        if ($alt_flag==false) {
                            $out.='<div class="outer_load_more">';
                            $out.='<div class="blog_load_more theme_button" data-no_more="'.$prk_translations['no_more'].'">';
                            $out.='<a href="#">';
                            $out.=$prk_translations['load_more'];
                            $out.='</a>';
                            $out.='<i class="pulse_button_arrow pulse_fa-chevron-down not_zero_color"></i>';
                            $out.='</div>';
                            $out.='<div id="ajax_spinner" class="spinner-icon"></div>';
                            $out.='</div>';
                        }
                    endif;
                    //SHOW NAVIGATION
                    if ($my_query->max_num_pages>1 && $nav_type!='ajaxed') {
                        $out.='<div id="entries_navigation_blog" class="row pulse_blog_uppercased prk_bordered_top">';
                        $out.='<div class="small-12 small-centered">';
                        $out.='<div id="prk_nav_inner" class="pulse_anchor">';
                        $out.='<div class="small-12 header_font small_headings_color prk_heavier_600">';
                        $out.=get_next_posts_link('<div class="prk_left_floated navigation-previous-blog"><i class="prk_left_floated pulse_fa-chevron-left prk_left_floated"></i><div class="prk_left_floated"><div class="blog_naver_left">'.$prk_translations['older'].'</div></div></div>',$my_query->max_num_pages);
                        $out.=get_previous_posts_link('<div class="prk_right_floated pulse_right_align navigation-next-blog"><div class="prk_left_floated"><div class="blog_naver_right">'.$prk_translations['newer'].'</div></div><i class="pulse_fa-chevron-right prk_left_floated"></i></div>',$my_query->max_num_pages);
                        $out.='</div>';
                        $out.='<div class="clearfix"></div>';
                        $out.='</div>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    echo pulse_output().$out;
                    ?>
                </div>
            </div>
            <?php
            if ($show_sidebar)
            {
                ?>
                <aside id="sidebar" class="<?php echo SIDEBAR_CLASSES; ?>">
                    <?php get_sidebar(); ?>
                </aside>
                <?php
                echo '</div>';
                echo '</div>';
            }
            ?>
            <div class="clearfix"></div>
        </div>
    </div>
    </div>
    </div>
    <?php
}
else if (get_field('blog_layout')=="classic") //BIG IMAGES LAYOUT ----------------------------+++----------------------------
{
    $show_sidebar=$prk_pulse_options['right_sidebar'];
    if ($show_sidebar=="1")
        $show_sidebar=true;
    else
        $show_sidebar=false;
    if (get_field('show_sidebar')=="yes")
    {
        $show_sidebar=true;
    }
    if (get_field('show_sidebar')=="no")
    {
        $show_sidebar=false;
    }
    $show_title=true;
    if (get_field('hide_title')=="1")
    {
        $show_title=false;
    }
    $show_slider=get_field('featured_slider');
    if (get_field('featured_slider_autoplay')=="1")
        $autoplay="true";
    else
        $autoplay="false";
    $delay=get_field('featured_slider_delay');
    if (get_field('featured_slider_supersize')=="1")
        $fill_height="super_height";
    else
        $fill_height="";
    if (get_field('featured_slider_arrows')=="1")
        $navigation="true";
    else
        $navigation="false";
    if (get_field('featured_slider_parallax')=="1")
        $parallax="owl_parallaxed";
    else
        $parallax="owl_regular";
    if (get_field('featured_slider_dots')=="1")
        $pagination="true";
    else
        $pagination="false";
    $inside_filter="";
    if (get_field('slide_filter')!="")
    {
        $filter=get_field('slide_filter');
        foreach ($filter as $child)
        {
            //ADD THE CATEGORIES TO THE FILTER
            $inside_filter.=$child->slug.", ";
        }
    }
    if (get_field('featured_header')=="1") {
        $featured_style='';
    }
    else {
        $featured_style=' pulse_forced_menu"';
    }
    ?>
    <div id="pulse_ajax_inner" class="page-prk-blog-full<?php echo pulse_output().$featured_style; ?>">
        <div id="pulse_content">
            <?php
            if ($show_title==true)
            {
                $uppercase_me="";
                if (get_field('uppercase_title')=="1") {
                    $uppercase_me=" uppercased_title";
                }
                echo '<div id="classic_title_wrapper">';
                echo '<div class="small-12 small-centered columns prk_inner_block'.$uppercase_me.'">';
                prk_output_title();
                echo '</div>';
                echo '</div>';
            }
            else
            {
                wp_reset_postdata();
                if ($show_slider=="yes")
                {
                    echo '<div class="featured_owl '.$parallax.'">';
                    echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                    echo '</div>';
                }
                if ($show_slider=="revolution")
                {
                    echo '<div class="prk_rv">';
                    echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                    echo '</div><div id="mobile_sizer"></div>';
                }

                while (have_posts()) : the_post();
                    if (get_the_content()!="") {
                        if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                            echo '<div id="s_sec_inner" class="row">';
                            the_content();
                            echo '</div>';
                        }
                        else {
                            echo '<div class="row">';
                            if (PRK_PULSE_COMPOSER=="true") {
                                echo '<div id="s_sec_inner" class="row">';
                                echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                echo '</div>';
                            }
                            else {
                                echo '<div id="s_sec_inner" class="row">';
                                the_content();
                                echo '</div>';
                            }
                            echo '</div>';
                            echo '<div class="clearfix bt_2x"></div>';
                        }
                    }
                endwhile;
            }
            ?>
            <div id="pulse_content_inner">
                <div class="prk_inner_block small-12 small-centered columns row">
                    <?php
                    if ($show_title==true)
                    {
                        if ($show_slider=="yes")
                        {
                            echo '<div class="featured_owl '.$parallax.'">';
                            echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                            echo '</div>';
                        }
                        if ($show_slider=="revolution")
                        {
                            echo '<div class="prk_rv">';
                            echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                            echo '</div><div id="mobile_sizer"></div>';
                        }
                        while (have_posts()) : the_post();
                            if (get_the_content()!="") {
                                if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                                    echo '<div id="s_sec_inner" class="row">';
                                    the_content();
                                    echo '</div>';
                                }
                                else {
                                    echo '<div class="row">';
                                    if (PRK_PULSE_COMPOSER=="true") {
                                        echo '<div id="s_sec_inner" class="row">';
                                        echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                        echo '</div>';
                                    }
                                    else {
                                        echo '<div id="s_sec_inner" class="row">';
                                        the_content();
                                        echo '</div>';
                                    }
                                    echo '</div>';
                                    echo '<div class="clearfix bt_2x"></div>';
                                }
                            }
                        endwhile;
                    }
                    if ($show_sidebar)
                    {
                        echo '<div id="parent_blog_inner" class="small-12 columns small-centered prk_inner_block">';
                        echo '<div class="row">';
                        echo '<div class="small-9 columns">';
                    }
                    else
                    {
                        echo '<div id="pulse_classic_blog" class="small-12">';
                    }
                    wp_reset_postdata();
                    $my_query = new WP_Query();
                    if(is_front_page())
                    {
                        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
                    }
                    else
                    {
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    }
                    $inside_filter="";
                    if (get_field('blog_filter')!="")
                    {
                        $filter=get_field('blog_filter');
                        foreach ($filter as $child)
                        {
                            //ADD THE CATEGORIES TO THE FILTER
                            $inside_filter.=$child->slug.", ";
                        }
                    }
                    $page_title=get_the_title();
                    $nav_type=get_field('navigation_type');
                    if ($nav_type=="ajaxed") {
                        $query_number="999";
                    }
                    else {
                        $query_number=get_query_var('posts_per_page');
                    }
                    $posts_per_page = get_query_var('posts_per_page');
                    $args = array(
                        'post_type' => 'post',
                        'paged'=>$paged,
                        'category_name'=>$inside_filter,
                        'posts_per_page' => $query_number,
                    );
                    $my_query->query($args);
                    $out='<div class="classic_blog_section" data-items="'.$posts_per_page.'">';
                    $terms = get_terms("category");
                    $count = count($terms);
                    if (get_field('show_filter')=="1") {
                        $filter_array=explode(",",$inside_filter);
                        $filter_array=array_filter(array_map('trim', $filter_array));
                        $out.='<div class="filter_blog">';
                        $out.='<div class="pulse_blog_filter '.get_field('filter_align').'">';
                        $out.='<ul class="header_font pulse_blog_uppercased clearfix small_headings_color prk_heavier_600">';
                        $out.='<li class="active small b_filter">';
                        $out.='<a class="all" data-filter="b_all" href="#" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$prk_translations['all_text'].'</a>';
                        $out.='</li>';
                        if ($count > 0)
                        {
                            foreach ( $terms as $term ) {
                                if (in_array($term->slug, $filter_array) !== false || $inside_filter=="")
                                    $out.='<li class="small b_filter"><a class="'.$term->slug.'" data-filter="'.$term->slug.'" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$term->name.'</a></li>';
                            }
                        }
                        $out.='</ul>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    if ($my_query->have_posts()) :
                        $post_counter=1;
                        $alt_flag=true;
                        $out.='<div class="blog_entries unstyled">';
                        $out.='<div class="grid-sizer"></div>';
                        while ($my_query->have_posts()) : $my_query->the_post();
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }
                            $category=get_the_category();
                            $filters=" b_all";
                            foreach($category as $inner) {
                                $filters.=" ".$inner->slug;
                            }
                            if ($post_counter<=$posts_per_page) {
                                $out.='<div id="post-'.get_the_ID().'" class="blog_entry_li'.$featured_class.$filters.'" data-color="'.$featured_color.'">';
                                $out.='<div class="pulse_post_info">';
                                $content = get_post_field('post_content',$post->ID);
                                $count = round(str_word_count(strip_tags($content))/200);
                                if ($count==0)
                                    $count=1;
                                $out.='<div class="pulse_read header_font prk_heavier_700 pls_min_read">';
                                $out.='<a href="'.get_permalink().'" class="regular_anchor_menu zero_color" data-color="'.$featured_color.'">';
                                $out.=$count.' '.$prk_translations['min_read_text'];
                                $out.='</a>';
                                $out.='</div>';
                                $out.='<div class="entry_title header_font">';
                                $out.='<h2 class="small">';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h2>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="single_blog_meta_class pulse_blog_uppercased prk_heavier_600 prk_75_em small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky())
                                {
                                    $divide_me=true;
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $arra=get_the_category($post->ID);
                                if ($prk_pulse_options['categoriesby_blog']=="1" && !empty($arra)) {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $count_cats=0;
                                    foreach($arra as $s_cat) {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts" class="pulse_anchor">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if (comments_open()){
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $num_comments = get_comments_number();
                                    if ( $num_comments == 0 ) {
                                        $comments = $prk_translations['comments_no_response'];
                                    } elseif ( $num_comments > 1 ) {
                                        $comments = $num_comments.' '.$prk_translations['comments_oneplus_response'];
                                    } else {
                                        $comments = $prk_translations['comments_one_response'];
                                    }
                                    $out.='<a href="' . get_comments_link() .'" class="pulse_anchor">'. $comments.'</a>';
                                    //$out.=get_comments_number($prk_translations['comments_no_response'], $prk_translations['comments_one_response'], '% '.$prk_translations['comments_oneplus_response']);
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="pulse_anchor not_zero_color">'.get_the_author().'</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $ext_count=0;
                                $imgs_width=$prk_pulse_options['custom_width']+80*2;
                                if (has_post_thumbnail($post->ID))
                                {
                                    $ext_count=1;
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<div class="blog_top_image">';
                                    $out.='<div class="blog_fader_grid">';
                                    $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                    $out.='</div>';
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, 0, false , $prk_retina_device );
                                    $out.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.get_the_ID().'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                }
                                else
                                {
                                    //CHECK IF THERE'S A VIDEO TO SHOW
                                    if (get_field('video_2')!="")
                                    {
                                        $el_class='video-container';
                                        if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                            $el_class= 'soundcloud-container';
                                        }
                                        $out.='<div class="'.$el_class.'">';
                                        $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                        $out.='</div>';
                                    }
                                }
                                $out.='<div class="pirenko_box small-12">';
                                $out.='<div class="on_colored entry_content prk_break_word">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.= the_excerpt_dynamic(70,$post->ID);
                                $out.='<div class="clearfix bt_12"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                if (is_big_excerpt(70,$post->ID))
                                {
                                    $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color pulse_anchor" data-color="'.$featured_color.'">';
                                    $out.=$prk_translations['read_more'].' &rarr;';
                                    $out.='</a>';
                                }
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="simple_line"></div>';
                                $out.='</div>';
                                //END POST
                            } else if ($nav_type=='ajaxed') {
                                if ($alt_flag==true)
                                {
                                    $out.='</div>';
                                    $out.='<div class="blog_appender hide_now">';
                                    $alt_flag=false;
                                }
                                $out.='<div id="post-'.get_the_ID().'" class="blog_entry_li'.$featured_class.$filters.'" data-color="'.$featured_color.'">';
                                $out.='<div class="pulse_post_info">';
                                $content = get_post_field('post_content',$post->ID);
                                $count = round(str_word_count(strip_tags($content))/200);
                                if ($count==0)
                                    $count=1;
                                $out.='<div class="pulse_read header_font prk_heavier_700 pls_min_read">';
                                $out.='<a href="'.get_permalink().'" class="regular_anchor_menu zero_color" data-color="'.$featured_color.'">';
                                $out.=$count.' '.$prk_translations['min_read_text'];
                                $out.='</a>';
                                $out.='</div>';
                                $out.='<div class="entry_title header_font">';
                                $out.='<h2 class="small">';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h2>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="single_blog_meta_class pulse_blog_uppercased prk_heavier_600 prk_75_em small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky())
                                {
                                    $divide_me=true;
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $arra=get_the_category($post->ID);
                                if ($prk_pulse_options['categoriesby_blog']=="1" && !empty($arra)) {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $count_cats=0;
                                    foreach($arra as $s_cat) {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts" class="pulse_anchor">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if (comments_open()){
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $num_comments = get_comments_number();
                                    if ( $num_comments == 0 ) {
                                        $comments = $prk_translations['comments_no_response'];
                                    } elseif ( $num_comments > 1 ) {
                                        $comments = $num_comments.' '.$prk_translations['comments_oneplus_response'];
                                    } else {
                                        $comments = $prk_translations['comments_one_response'];
                                    }
                                    $out.='<a href="' . get_comments_link() .'" class="pulse_anchor">'. $comments.'</a>';
                                    //$out.=get_comments_number($prk_translations['comments_no_response'], $prk_translations['comments_one_response'], '% '.$prk_translations['comments_oneplus_response']);
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="not_zero_color pulse_anchor">'.get_the_author().'</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $ext_count=0;
                                $imgs_width=$prk_pulse_options['custom_width']+80*2;
                                if (has_post_thumbnail($post->ID))
                                {
                                    $ext_count=1;
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $out.='<div class="blog_top_image">';
                                    $out.='<div class="blog_fader_grid">';
                                    $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                    $out.='</div>';
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, 0, false , $prk_retina_device );
                                    $out.='<img src="'.get_template_directory_uri().'/images/spacer.gif" data-src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.get_the_ID().'" class="custom-img grid_image" alt="<?php echo pulse_output(); ?>" />';
                                    $out.='</div>';
                                }
                                else
                                {
                                    //CHECK IF THERE'S A VIDEO TO SHOW
                                    if (get_field('video_2')!="") {
                                        $el_class='video-container';
                                        if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                            $el_class= 'soundcloud-container';
                                        }
                                        $out.='<div class="'.$el_class.'">';
                                        $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                        $out.='</div>';
                                    }
                                }
                                $out.='<div class="pirenko_box small-12">';
                                $out.='<div class="on_colored entry_content prk_break_word">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.= the_excerpt_dynamic(70,$post->ID);
                                $out.='<div class="clearfix bt_12"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                if (is_big_excerpt(70,$post->ID))
                                {
                                    $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color pulse_anchor" data-color="'.$featured_color.'">';
                                    $out.=$prk_translations['read_more'].' &rarr;';
                                    $out.='</a>';
                                }
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="simple_line"></div>';
                                $out.='</div>';
                                //END POST
                            }
                            $post_counter++;
                        endwhile;
                        $out.='</div>';
                        if ($alt_flag==false) {
                            $out.='<div class="outer_load_more">';
                            $out.='<div class="blog_load_more theme_button" data-no_more="'.$prk_translations['no_more'].'">';
                            $out.='<a href="#">';
                            $out.=$prk_translations['load_more'];
                            $out.='</a>';
                            $out.='<i class="pulse_button_arrow pulse_fa-chevron-down not_zero_color"></i>';
                            $out.='</div>';
                            $out.='<div id="ajax_spinner" class="spinner-icon"></div>';
                            $out.='</div>';
                        }
                    endif;
                    //SHOW NAVIGATION
                    if ($my_query->max_num_pages>1 && $nav_type!='ajaxed')
                    {
                        $out.='<div id="entries_navigation_blog" class="row pulse_blog_uppercased prk_bordered_top">';
                        $out.='<div class="small-12 small-centered">';
                        $out.='<div id="prk_nav_inner" class="pulse_anchor">';
                        $out.='<div class="small-12 header_font small_headings_color prk_heavier_600">';
                        $out.=get_next_posts_link('<div class="prk_left_floated navigation-previous-blog"><i class="prk_left_floated pulse_fa-chevron-left prk_left_floated"></i><div class="prk_left_floated"><div class="blog_naver_left">'.$prk_translations['older'].'</div></div></div>',$my_query->max_num_pages);
                        $out.=get_previous_posts_link('<div class="prk_right_floated pulse_right_align navigation-next-blog"><div class="prk_left_floated"><div class="blog_naver_right">'.$prk_translations['newer'].'</div></div><i class="pulse_fa-chevron-right prk_left_floated"></i></div>',$my_query->max_num_pages);
                        $out.='</div>';
                        $out.='<div class="clearfix"></div>';
                        $out.='</div>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    $out.='</div>';
                    $out.='</div>';
                    echo pulse_output().$out;
                    if ($show_sidebar)
                    {
                        ?>
                        <aside id="sidebar" class="prk_blogged <?php echo SIDEBAR_CLASSES; ?> on_single">
                            <div class="simple_line show_later"></div>
                            <?php get_sidebar(); ?>
                        </aside>
                        <?php
                        echo '</div>';
                        echo '</div>';
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <?php
}
else //STACKED LAYOUT ----------------------------+++----------------------------
{
    $show_sidebar=$prk_pulse_options['right_sidebar'];
    if ($show_sidebar=="1")
        $show_sidebar=true;
    else
        $show_sidebar=false;
    if (get_field('show_sidebar')=="yes")
    {
        $show_sidebar=true;
    }
    if (get_field('show_sidebar')=="no")
    {
        $show_sidebar=false;
    }
    $show_title=true;
    if (get_field('hide_title')=="1")
    {
        $show_title=false;
    }
    $show_slider=get_field('featured_slider');
    if (get_field('featured_slider_autoplay')=="1")
        $autoplay="true";
    else
        $autoplay="false";
    $delay=get_field('featured_slider_delay');
    if (get_field('featured_slider_supersize')=="1")
        $fill_height="super_height";
    else
        $fill_height="";
    if (get_field('featured_slider_arrows')=="1")
        $navigation="true";
    else
        $navigation="false";
    if (get_field('featured_slider_parallax')=="1")
        $parallax="owl_parallaxed";
    else
        $parallax="owl_regular";
    if (get_field('featured_slider_dots')=="1")
        $pagination="true";
    else
        $pagination="false";
    $inside_filter="";
    if (get_field('slide_filter')!="")
    {
        $filter=get_field('slide_filter');
        foreach ($filter as $child)
        {
            //ADD THE CATEGORIES TO THE FILTER
            $inside_filter.=$child->slug.", ";
        }
    }
    if (get_field('featured_header')=="1") {
        $featured_style='';
    }
    else {
        $featured_style=' pulse_forced_menu"';
    }
    ?>
    <div id="pulse_ajax_inner" class="page-prk-blog-stacked<?php echo pulse_output().$featured_style; ?>">
        <div id="pulse_content">
            <?php
            if ($show_title==true)
            {
                $uppercase_me="";
                if (get_field('uppercase_title')=="1") {
                    $uppercase_me=" uppercased_title";
                }
                echo '<div id="classic_title_wrapper">';
                echo '<div class="small-12 small-centered columns prk_inner_block'.$uppercase_me.'">';
                prk_output_title();
                echo '</div>';
                echo '</div>';
            }
            else
            {
                wp_reset_postdata();
                if ($show_slider=="yes")
                {
                    echo '<div class="featured_owl '.$parallax.'">';
                    echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                    echo '</div>';
                }
                if ($show_slider=="revolution")
                {
                    echo '<div class="prk_rv">';
                    echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                    echo '</div><div id="mobile_sizer"></div>';
                }
                while (have_posts()) : the_post();
                    if (get_the_content()!="") {
                        if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                            echo '<div id="s_sec_inner" class="row">';
                            the_content();
                            echo '</div>';
                        }
                        else {
                            echo '<div class="row">';
                            if (PRK_PULSE_COMPOSER=="true") {
                                echo '<div id="s_sec_inner" class="row">';
                                echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                echo '</div>';
                            }
                            else {
                                echo '<div id="s_sec_inner" class="row">';
                                the_content();
                                echo '</div>';
                            }
                            echo '</div>';
                            echo '<div class="clearfix bt_2x"></div>';
                        }
                    }
                endwhile;
            }
            ?>
            <div id="pulse_content_inner">
                <div class="prk_inner_block small-12 small-centered columns row">
                    <?php
                    if ($show_title==true)
                    {
                        if ($show_slider=="yes")
                        {
                            echo '<div class="featured_owl '.$parallax.'">';
                            echo do_shortcode('[prk_slider id="pulse_slider-'.get_the_ID().'" category="'.$inside_filter.'" autoplay="'.$autoplay.'" delay="'.$delay.'" sl_size="'.$fill_height.'" pagination="'.$pagination.'" navigation="'.$navigation.'" parallax_effect="'.$parallax.'"]');
                            echo '</div>';
                        }
                        if ($show_slider=="revolution")
                        {
                            echo '<div class="prk_rv">';
                            echo do_shortcode('[rev_slider '.get_field('revolution_slider').']');
                            echo '</div><div id="mobile_sizer"></div>';
                        }
                        wp_reset_postdata();
                        while (have_posts()) : the_post();
                            if (get_the_content()!="") {
                                if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") {
                                    echo '<div id="s_sec_inner" class="row">';
                                    the_content();
                                    echo '</div>';
                                }
                                else {
                                    echo '<div class="row">';
                                    if (PRK_PULSE_COMPOSER=="true") {
                                        echo '<div id="s_sec_inner" class="row">';
                                        echo do_shortcode('[vc_row][vc_column][vc_column_text]'.get_the_content().'[/vc_column_text][/vc_column][/vc_row]');
                                        echo '</div>';
                                    }
                                    else {
                                        echo '<div id="s_sec_inner" class="row">';
                                        the_content();
                                        echo '</div>';
                                    }
                                    echo '</div>';
                                    echo '<div class="clearfix bt_2x"></div>';
                                }
                            }
                        endwhile;
                    }
                    if ($show_sidebar)
                    {
                        echo '<div id="parent_blog_inner" class="small-12 columns small-centered prk_inner_block">';
                        echo '<div class="row">';
                        echo '<div class="small-9 columns">';
                    }
                    else
                    {
                        echo '<div class="pulse_wider">';
                    }
                    wp_reset_postdata();
                    $my_query = new WP_Query();
                    if(is_front_page())
                    {
                        $paged = (get_query_var('page')) ? get_query_var('page') : 1;
                    }
                    else
                    {
                        $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                    }
                    $inside_filter="";
                    if (get_field('blog_filter')!="")
                    {
                        $filter=get_field('blog_filter');
                        foreach ($filter as $child)
                        {
                            //ADD THE CATEGORIES TO THE FILTER
                            $inside_filter.=$child->slug.", ";
                        }
                    }
                    $page_title=get_the_title();
                    $nav_type=get_field('navigation_type');
                    if ($nav_type=="ajaxed") {
                        $query_number="999";
                    }
                    else {
                        $query_number=get_query_var('posts_per_page');
                    }
                    $posts_per_page = get_query_var('posts_per_page');
                    $args = array(
                        'post_type' => 'post',
                        'paged'=>$paged,
                        'category_name'=>$inside_filter,
                        'posts_per_page' => $query_number,
                    );
                    $my_query->query($args);
                    $out='<div class="classic_blog_section row" data-items="'.$posts_per_page.'">';
                    $terms = get_terms("category");
                    $count = count($terms);
                    if (get_field('show_filter')=="1") {
                        $filter_array=explode(",",$inside_filter);
                        $filter_array=array_filter(array_map('trim', $filter_array));
                        $out.='<div class="filter_blog">';
                        $out.='<div class="pulse_blog_filter '.get_field('filter_align').'">';
                        $out.='<ul class="header_font pulse_blog_uppercased clearfix small_headings_color prk_heavier_600">';
                        $out.='<li class="active small b_filter">';
                        $out.='<a class="all" data-filter="b_all" href="#" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$prk_translations['all_text'].'</a>';
                        $out.='</li>';
                        if ($count > 0)
                        {
                            foreach ( $terms as $term ) {
                                if (in_array($term->slug, $filter_array) !== false || $inside_filter=="")
                                    $out.='<li class="small b_filter"><a class="'.$term->slug.'" data-filter="'.$term->slug.'" href="javascript:void(0)" data-color="'.$prk_pulse_options['bd_headings_color'].'">'.$term->name.'</a></li>';
                            }
                        }
                        $out.='</ul>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    if ($my_query->have_posts()) :
                        $post_counter=1;
                        $alt_flag=true;
                        $out.='<div class="blog_entries unstyled">';
                        $out.='<div class="grid-sizer"></div>';
                        while ($my_query->have_posts()) : $my_query->the_post();
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }
                            $category=get_the_category();
                            $filters=" b_all";
                            foreach($category as $inner) {
                                $filters.=" ".$inner->slug;
                            }
                            $imgs_width=$prk_pulse_options['custom_width']+80*2;
                            if ($post_counter<=$posts_per_page) {
                                if (has_post_thumbnail($post->ID)) {
                                    $featured_class.=" pulse_ft_back";
                                }
                                $out.='<div id="post-'.get_the_ID().'" class="blog_entry_li prk_bordered_bottom'.$featured_class.$filters.'" data-color="'.$featured_color.'">';
                                if (has_post_thumbnail($post->ID)) {
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, '', false , $prk_retina_device );
                                    $out.='<div class="blog_top_image" data-src="'.$vt_image['url'].'">';
                                    $out.='</div>';
                                }
                                $out.='<div class="centerized_father_blog"></div>';
                                $out.='<div class="blog_fader_grid"></div>';
                                $out.='<div class="pulse_post_info header_font">';
                                $out.='<div class="entry_title header_font prk_left_floated">';
                                $out.='<h2>';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h2>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="single_blog_meta_class small_headings_color pulse_blog_uppercased prk_75_em prk_heavier_600 '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky())
                                {
                                    $divide_me=true;
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $arra=get_the_category($post->ID);
                                if ($prk_pulse_options['categoriesby_blog']=="1" && !empty($arra)) {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $count_cats=0;
                                    foreach($arra as $s_cat) {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts" class="pulse_anchor">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if (comments_open()){
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $num_comments = get_comments_number();
                                    if ( $num_comments == 0 ) {
                                        $comments = $prk_translations['comments_no_response'];
                                    } elseif ( $num_comments > 1 ) {
                                        $comments = $num_comments.' '.$prk_translations['comments_oneplus_response'];
                                    } else {
                                        $comments = $prk_translations['comments_one_response'];
                                    }
                                    $out.='<a href="' . get_comments_link() .'" class="pulse_anchor">'. $comments.'</a>';
                                    //$out.=get_comments_number($prk_translations['comments_no_response'], $prk_translations['comments_one_response'], '% '.$prk_translations['comments_oneplus_response']);
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="pulse_anchor not_zero_color">'.get_the_author().'</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="pirenko_box small-9 columns small-centered">';
                                $out.='<div class="on_colored entry_content prk_break_word body_colored regular_font">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.= the_excerpt_dynamic(64,$post->ID);
                                $out.='<div class="clearfix bt_12"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                //END POST
                            } else if ($nav_type=='ajaxed') {
                                if ($alt_flag==true)
                                {
                                    $out.='</div>';
                                    $out.='<div class="blog_appender hide_now">';
                                    $alt_flag=false;
                                }
                                if (has_post_thumbnail($post->ID)) {
                                    $featured_class.=" pulse_ft_back";
                                }
                                $out.='<div id="post-'.get_the_ID().'" class="blog_entry_li prk_bordered_bottom'.$featured_class.$filters.'" data-color="'.$featured_color.'">';
                                if (has_post_thumbnail($post->ID)) {
                                    //GET THE FEATURED IMAGE
                                    $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );
                                    $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, '', false , $prk_retina_device );
                                    $out.='<div class="blog_top_image" data-src="'.$vt_image['url'].'">';
                                    $out.='</div>';
                                }
                                $out.='<div class="centerized_father_blog"></div>';
                                $out.='<div class="blog_fader_grid"></div>';
                                $out.='<div class="pulse_post_info header_font">';
                                $out.='<div class="entry_title header_font prk_left_floated">';
                                $out.='<h2>';
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                                $out.=get_the_title();
                                $out.='</a>';
                                $out.='</h2>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="single_blog_meta_class small_headings_color pulse_blog_uppercased prk_75_em prk_heavier_600 '.$prk_pulse_options['main_subheadings_font'].'">';
                                $divide_me=false;
                                if (is_sticky())
                                {
                                    $divide_me=true;
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                    $out.=$prk_translations['sticky_text'];
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['show_date_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $out.=get_the_time(get_option('date_format'));
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $arra=get_the_category($post->ID);
                                if ($prk_pulse_options['categoriesby_blog']=="1" && !empty($arra)) {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated blog_categories">';
                                    $count_cats=0;
                                    foreach($arra as $s_cat) {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts" class="pulse_anchor">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if (comments_open()){
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated">';
                                    $num_comments = get_comments_number();
                                    if ( $num_comments == 0 ) {
                                        $comments = $prk_translations['comments_no_response'];
                                    } elseif ( $num_comments > 1 ) {
                                        $comments = $num_comments.' '.$prk_translations['comments_oneplus_response'];
                                    } else {
                                        $comments = $prk_translations['comments_one_response'];
                                    }
                                    $out.='<a href="' . get_comments_link() .'" class="pulse_anchor">'. $comments.'</a>';
                                    //$out.=get_comments_number($prk_translations['comments_no_response'], $prk_translations['comments_one_response'], '% '.$prk_translations['comments_oneplus_response']);
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                if ($prk_pulse_options['postedby_blog']=="1") {
                                    if ($divide_me==false) {
                                        $divide_me=true;
                                    }
                                    else {
                                        $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $out.='<div class="single_blog_meta_div">';
                                    $out.='<div class="prk_left_floated pls_colored_link pulse_author">';
                                    $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="pulse_anchor not_zero_color">'.get_the_author().'</a>';
                                    $out.='</div>';
                                    $out.='</div>';
                                }
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='<div class="pirenko_box small-9 columns small-centered">';
                                $out.='<div class="on_colored entry_content prk_break_word body_colored regular_font">';
                                $out.='<div class="wpb_text_column">';
                                $cat_helper=$post->ID;
                                $out.= the_excerpt_dynamic(64,$post->ID);
                                $out.='<div class="clearfix bt_12"></div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='</div>';
                                $out.='<div class="clearfix"></div>';
                                $out.='</div>';
                                //END POST
                            }
                            $post_counter++;
                        endwhile;
                        $out.='</div>';
                        if ($alt_flag==false) {
                            $out.='<div class="outer_load_more">';
                            $out.='<div class="blog_load_more theme_button" data-no_more="'.$prk_translations['no_more'].'">';
                            $out.='<a href="#">';
                            $out.=$prk_translations['load_more'];
                            $out.='</a>';
                            $out.='<i class="pulse_button_arrow pulse_fa-chevron-down not_zero_color"></i>';
                            $out.='</div>';
                            $out.='<div id="ajax_spinner" class="spinner-icon"></div>';
                            $out.='</div>';
                        }
                    endif;
                    //SHOW NAVIGATION
                    if ($my_query->max_num_pages>1 && $nav_type!='ajaxed') {
                        $out.='<div id="entries_navigation_blog" class="row pulse_blog_uppercased prk_bordered_top">';
                        $out.='<div class="small-12 small-centered">';
                        $out.='<div id="prk_nav_inner" class="pulse_anchor">';
                        $out.='<div class="small-12 header_font small_headings_color prk_heavier_600">';
                        $out.=get_next_posts_link('<div class="prk_left_floated navigation-previous-blog"><i class="prk_left_floated pulse_fa-chevron-left prk_left_floated"></i><div class="prk_left_floated"><div class="blog_naver_left">'.$prk_translations['older'].'</div></div></div>',$my_query->max_num_pages);
                        $out.=get_previous_posts_link('<div class="prk_right_floated pulse_right_align navigation-next-blog"><div class="prk_left_floated"><div class="blog_naver_right">'.$prk_translations['newer'].'</div></div><i class="pulse_fa-chevron-right prk_left_floated"></i></div>',$my_query->max_num_pages);
                        $out.='</div>';
                        $out.='<div class="clearfix"></div>';
                        $out.='</div>';
                        $out.='</div>';
                        $out.='</div>';
                    }
                    $out.='</div>';
                    $out.='</div>';
                    echo pulse_output().$out;
                    if ($show_sidebar)
                    {
                        ?>
                        <aside id="sidebar" class="prk_blogged <?php echo SIDEBAR_CLASSES; ?> on_single">
                            <div class="simple_line show_later"></div>
                            <?php get_sidebar(); ?>
                        </aside>
                        <?php
                        echo '</div>';
                        echo '</div>';
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <?php
}
?>
<?php get_footer(); ?>