<?php


/* Custom Options Arrays ----------------------------------------------------- */

$nets_array = array (
    'None' => 'none',
    'Behance' => 'behance',
    'Delicious' => 'delicious',
    'Dribbble' => 'dribbble',
    'Facebook' => 'facebook',
    'Flickr' => 'flickr',
    'Google Plus' => 'gplus',
    'Instagram' => 'instagram',
    'Linkedin' => 'linkedin',
    'Pinterest' => 'pinterest',
    'Soundcloud' => 'soundcloud',
    'Skype' => 'skype',
    'Twitter' => 'twitter',
    'Vimeo' => 'vimeo',
    'Yahoo' => 'yahoo',
    'Youtube' => 'youtube',
    'RSS' => 'rss',
    'vCard' => 'book',
);

$yes_no_arr = array(__('Yes', "js_composer") => "yes",__('No', "js_composer") => "no");
$no_yes_arr = array(__('No', "js_composer") => "no",__('Yes', "js_composer") => "yes");
$add_css_animation = array(
    'type' => 'dropdown',
    'heading' => __( 'CSS Animation', 'js_composer' ),
    'param_name' => 'css_animation',
    'admin_label' => true,
    'value' => array(
        __( 'No', 'js_composer' ) => '',
        __("Simple fade", "js_composer") => 'pulse_fade_waypoint',
        __( 'Top to bottom', 'js_composer' ) => 'top-to-bottom',
        __( 'Bottom to top', 'js_composer' ) => 'bottom-to-top',
        __( 'Left to right', 'js_composer' ) => 'left-to-right',
        __( 'Right to left', 'js_composer' ) => 'right-to-left',
        __( 'Appear from center', 'js_composer' ) => "appear",
        __( 'Flip In X', 'js_composer' ) => "flipin_x",
        __( 'Flip In Y', 'js_composer' ) => "flipin_y",
    ),
    'description' => __( 'Select type of animation if you want this element to be animated when it enters into the browsers viewport. Note: Works only in modern browsers.', 'js_composer' )
);
$add_css_hide = array(
    'type' => 'checkbox',
    'heading' => __( 'Hide on smaller screens:', 'js_composer' ),
    'param_name' => 'hide_with_css',
    'admin_label' => true,
    'group' => __( 'Viewports', 'js_composer' ),
    'value' => array(
        __("Screens with less than 768px wide<br>", "js_composer") => 'hide_later',
        __("Screens with less than 480px wide", "js_composer") => 'hide_much_later',
    ),
    'description' => __( 'Tick the screen sizes on wich this element should be hidden.', 'js_composer' )
);

/* Page Elements Removal ----------------------------------------------------- */
/*wpb_remove("vc_masonry_media_grid");
wpb_remove("vc_empty_space");
wpb_remove("vc_basic_grid");
wpb_remove("vc_media_grid");
wpb_remove("vc_masonry_grid");
wpb_remove("vc_separator");
wpb_remove("vc_posts_slider");
wpb_remove("vc_images_carousel");
wpb_remove("vc_carousel");
wpb_remove("vc_toggle");
wpb_remove("vc_cta_button");
wpb_remove("vc_gallery");
wpb_remove("vc_posts_grid");
wpb_remove("vc_pie");
wpb_remove("vc_icon");*/


/* Row Overrides ----------------------------------------------------- */
/*vc_remove_param('vc_row', 'font_color');
vc_remove_param('vc_row', 'el_class');
vc_remove_param('vc_row', 'css');

vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Row type", "js_composer"),
    "param_name" => "bk_type",
    "value" => array(
        __("Regular size (no extra vertical padding)", "js_composer") => "boxed_look", 
        __("Optimized for colored sections (extra vertical padding)", "js_composer") => "full_width", 
        __("Full width (content is displayed with no horizontal size restrictions)", "js_composer") => "pirenko_super_width"),
    "description" => __("This option determines the general size of the whole row section.", "js_composer")
));
vc_add_param("vc_row", array(
    "type" => "textfield",
    "heading" => __('Row anchor id', 'wpb'),
    "param_name" => "anchor_id",
    "description" => __("Optional - Useful for mini site pages.", "wpb")
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Row Height", "js_composer"),
    "param_name" => "row_height",
    "value" => array(
        __("Regular", 'wpb') => '',
        __("Force 100%", 'wpb') => 'forced_row',
        __('Force 100% and center content vertically', 'wpb') => 'forced_row vertical_forced_row',
    ),
    "description" => __("", "js_composer"),
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Append slide down arrow on bottom of this row?", "js_composer"),
    "param_name" => "append_arrow",
    "value" => $no_yes_arr,
    "description" => "On click will make the browser scroll to the next row",
    "dependency" => Array('element' => "row_height", 'value' => array('forced_row','forced_row vertical_forced_row'))
));
vc_add_param("vc_row", array(
    "type" => "textfield",
    "heading" => __('Bottom margin', 'wpb'),
    "param_name" => "margin_bottom",
    "description" => __("You can use px, em, %, etc. or enter just number and pixels will be used. ", "wpb")
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Background type", "js_composer"),
    "param_name" => "bk_element",
    "value" => array(
        __("Transparent", 'wpb') => '',
        __("Solid Color", 'wpb') => 'colored',
        __('Image', 'wpb') => 'image',
        __('Video', 'wpb') => 'video',
    ),
    "description" => __("", "js_composer"),
));
vc_add_param("vc_row", array(
    "type" => "colorpicker",
    "heading" => __("Custom Background Color", "wpb"),
    "param_name" => "bg_color",
    "description" => __("Select backgound color for your row", "wpb"),
    "dependency" => Array('element' => "bk_element", 'value' => 'colored')
));
vc_add_param("vc_row", array(
    "type" => "attach_image",
    "heading" => __('Background image', 'wpb'),
    "param_name" => "bg_image",
    "description" => __("Select background image for your row", "wpb"),
    "dependency" => Array('element' => "bk_element", 'value' => 'image')
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __('Background image behavior', 'wpb'),
    "param_name" => "bg_image_repeat",
    "value" => array(
        __("Default", 'wpb') => '',
        __("Cover - background image aligned with top", 'wpb') => 'pulse_cover_top',
        __("Cover - background image centered", 'wpb') => 'pulse_cover',
        __("Cover - background image aligned with bottom", 'wpb') => 'pulse_cover_bottom',
        __('Cover with parallax effect', 'wpb') => 'pulse_with_parallax',
        __('Contain', 'wpb') => 'contain'
    ),
    "description" => __("Select how a background image will be repeated", "wpb"),
    "dependency" => Array('element' => "bk_element", 'value' => 'image')
));
vc_add_param("vc_row", array(
      "type" => "textfield",
      "heading" => __("Video MP4 file path", "js_composer"),
      "param_name" => "vid_mp4",
      "description" => __("", "js_composer"),
      "dependency" => Array('element' => "bk_element", 'value' => 'video')
));
vc_add_param("vc_row", array(
    "type" => "textfield",
    "heading" => __("Video webm file path", "js_composer"),
    "param_name" => "vid_webm",
    "description" => __("", "js_composer"),
    "dependency" => Array('element' => "bk_element", 'value' => 'video')
));
vc_add_param("vc_row", array(
    "type" => "attach_image",
    "heading" => __('Video image fallback', 'wpb'),
    "param_name" => "vid_image",
    "description" => __("Will be shown if the browser does not support video (optional)", "wpb"),
    "dependency" => Array('element' => "bk_element", 'value' => 'video')
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Video parallax effect?", "js_composer"),
    "param_name" => "vid_parallax",
    "value" => $no_yes_arr,
    "description" => "",
    "dependency" => Array('element' => "bk_element", 'value' => 'video')
));
vc_add_param("vc_row", array(
    "type" => "dropdown",
    "heading" => __("Text alignment", "js_composer"),
    "param_name" => "align",
    "value" => array("Left","Center","Right"),
    "description" => __("Can be overriden by individual elements settings", "js_composer")
));
vc_add_param("vc_row", array(
   "type" => "colorpicker",
   "holder" => "div",
   "class" => "",
   "heading" => __("Text color", 'js_composer'),
   "param_name" => "font_color",
   "value" => __("", 'js_composer'),
   "description" => __("Optional", 'js_composer')
));
vc_add_param("vc_row", $add_css_animation);
vc_add_param("vc_row", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));
vc_add_param("vc_row", $add_css_hide);*/

/* Column Overrides ----------------------------------------------------- 
vc_remove_param('vc_column', 'font_color');
vc_remove_param('vc_column', 'css');
vc_remove_param('vc_column', 'el_class');
vc_remove_param('vc_column', 'width');
vc_remove_param('vc_column', 'offset');
vc_add_param("vc_column", $add_css_animation);
vc_add_param("vc_column", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Inner Column Overrides ----------------------------------------------------- 
vc_remove_param('vc_column_inner', 'font_color');
vc_remove_param('vc_column_inner', 'css');
vc_remove_param('vc_column_inner', 'el_class');
vc_remove_param('vc_column_inner', 'width');
vc_remove_param('vc_column_inner', 'offset');
vc_add_param("vc_column_inner", $add_css_animation);
vc_add_param("vc_column_inner", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Text Block Overrides ----------------------------------------------------- 
vc_remove_param('vc_column_text', 'el_class');
vc_remove_param('vc_column_text', 'css');
vc_add_param("vc_column_text", $add_css_animation);
vc_add_param("vc_column_text", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Empty Space Overrides --------------------------------------------------------- */
/*vc_remove_param('vc_empty_space', 'el_class');
vc_remove_param('vc_empty_space', 'height');
vc_add_param("vc_empty_space", array(
    "type" => "textfield",
    'heading' => __( 'Vertical adjustment', 'js_composer' ),
    "param_name" => "height",
    "value"=> "32px",
    "description" => "Use negative values to pull elements up."
));
vc_add_param("vc_empty_space", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Message Box Overrides ----------------------------------------------------- 
vc_remove_param('vc_message', 'icon_type');
vc_remove_param('vc_message', 'icon_fontawesome');
vc_remove_param('vc_message', 'icon_openiconic');
vc_remove_param('vc_message', 'icon_typicons');
vc_remove_param('vc_message', 'icon_entypo');
vc_remove_param('vc_message', 'icon_linecons');
vc_remove_param('vc_message', 'icon_pixelicons');
vc_remove_param('vc_message', 'el_class');
vc_remove_param('vc_message', 'css');
vc_add_param("vc_message", $add_css_animation);
vc_add_param("vc_message", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Single Image Overrides -----------------------------------------------------
vc_remove_param('vc_single_image', 'el_class');
vc_remove_param('vc_single_image', 'css');
vc_add_param("vc_single_image", $add_css_animation);
vc_add_param("vc_single_image", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Call to Action Overrides ----------------------------------------------------- 
vc_remove_param('vc_cta_button2', 'el_class');
vc_remove_param('vc_cta_button2', 'css');
vc_add_param("vc_cta_button2", $add_css_animation);
vc_add_param("vc_cta_button2", array(
    "type" => "textfield",
    'heading' => __( 'Extra class name', 'js_composer' ),
    "param_name" => "el_class",
    "value"=> "",
    "description" => ""
));*/

/* Google Maps Overrides ----------------------------------------------------- 
vc_remove_param('vc_gmaps', 'link');
vc_remove_param('vc_gmaps', 'size');
vc_remove_param('vc_gmaps', 'el_class');

vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Google map latitude", "js_composer"),
"param_name" => "map_latitude",
"admin_label" => true,
"description" => __("", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Google map longitude", "js_composer"),
"param_name" => "map_longitude",
"admin_label" => true,
"description" => __("", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "dropdown",
"heading" => __("Map Style", "js_composer"),
"param_name" => "map_style",
"value" => array(
__("Default", "js_composer") => "default", 
__("Almost Gray", "js_composer") => "almost_gray", 
__("Subtle Grayscale", "js_composer") => "subtle_grayscale",
__("Cobalt", "js_composer") => "cobalt", 
__("Midnight Commander", "js_composer") => "midnight", 
__("Old Timey", "js_composer") => "old_timey", 
__("Greenish", "js_composer") => "green"),
"description" => __("", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Map height", "js_composer"),
"param_name" => "size",
"description" => __('Enter map height in pixels. Example: 200.', "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "dropdown",
"heading" => __("Map Zoom", "js_composer"),
"param_name" => "zoom",
"value" => array(__("14 - Default", "js_composer") => 14, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20)
));
vc_add_param("vc_gmaps", array(
"type" => "attach_image",
"heading" => __("Marker Image", "js_composer"),
"param_name" => "marker_image",
"value" => "",
"description" => __("Optional", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Marker image latitude", "js_composer"),
"param_name" => "marker_image_lat",
"description" => __("Optional", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Marker image longitude", "js_composer"),
"param_name" => "marker_image_long",
"description" => __("Optional", "js_composer")
));
vc_add_param("vc_gmaps", array(
"type" => "textfield",
"heading" => __("Extra class name", "js_composer"),
"param_name" => "el_class",
"description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
));*/

/* Progress Bar Overrides ---------------------------------------------------------- 
vc_remove_param('vc_progress_bar', 'options');
vc_remove_param('vc_progress_bar', 'el_class');
vc_add_param("vc_progress_bar", array(
"type" => "colorpicker",
"heading" => __("Bar custom color", "js_composer"),
"param_name" => "custombgcolor",
"description" => __("Select custom color for bars.", "js_composer"),
"dependency" => Array('element' => "bgcolor", 'value' => array('custom'))
));
vc_add_param("vc_progress_bar", array(
"type" => "colorpicker",
"heading" => __("Bars custom background color", "js_composer"),
"param_name" => "custombgcolor_back",
"description" => __("Select custom background color for bars - leave blank for theme default value", "js_composer"),
));
vc_add_param("vc_progress_bar", array(
"type" => "textfield",
"heading" => __("Extra class name", "js_composer"),
"param_name" => "el_class",
"description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
));*/


/* Extra Elements - Pulse Theme ----------------------------------------------------- */
if (!function_exists('pulse_integrateWithVC')) {
    function pulse_integrateWithVC()
    {
        $posts_terms = get_terms('category', 'hide_empty=0');
        $posts_terms_array = array();
        if (count($posts_terms)) {
            foreach ($posts_terms as $inner_term) {
                $posts_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $portfolio_terms = get_terms('pirenko_skills', 'hide_empty=0');
        $portfolio_terms_array = array();
        if (count($portfolio_terms)) {
            foreach ($portfolio_terms as $inner_term) {
                $portfolio_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        $slides_terms = get_terms('pirenko_slide_set', 'hide_empty=0');
        $slides_terms_array = array();
        if (count($slides_terms)) {
            foreach ($slides_terms as $inner_term) {
                $slides_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }

        $authors_terms = get_users();
        $authors_terms_array = array();
        if (count($authors_terms)) {
            foreach ($authors_terms as $inner_term) {
                $authors_terms_array[$inner_term->user_nicename] = $inner_term->ID;
            }
        }
        $testimonials_terms = get_terms('pirenko_testimonial_set', 'hide_empty=0');
        $testimonials_terms_array = array();
        if (count($testimonials_terms)) {
            foreach ($testimonials_terms as $inner_term) {
                $testimonials_terms_array[$inner_term->name] = $inner_term->slug;
            }
        }
        global $add_css_animation, $nets_array, $yes_no_arr, $no_yes_arr;
        /* Vertical Spacer ----------------------------------------------------- */
        function prkwp_spacer_func($atts)
        {
            extract(shortcode_atts(array(
                'size' => '',
                'el_class' => ''
            ), $atts));
            return do_shortcode('[pirenko_spacer size="' . $size . '" el_class="' . $el_class . '"][/pirenko_spacer]');
        }

        add_shortcode('prkwp_spacer', 'prkwp_spacer_func');

        vc_map(array(
            "name" => __("Vertical Spacer", "pulse"),
            "base" => "prkwp_spacer",
            "class" => "pulse_scodes_editor",
            "description" => __('Control vertical space between elements', 'js_composer'),
            "icon" => "icon-wpb-ui-empty_space",
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Vertical size in pixels (use negative values to pull elements up)", "pulse"),
                    "param_name" => "size",
                    "value" => "10",
                    "description" => "This element creates a vertical space between adjacent elements."
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Styled Title ----------------------------------------------------- */
        function prkwp_styled_title_func($atts)
        {
            extract(shortcode_atts(array(
                'prk_in' => '',
                'align' => '',
                'text_color' => '',
                'title_size' => '',
                'use_italic' => '',
                'show_lines' => '',
                'font_type' => '',
                'pulse_show_line' => '',
                'underlined' => '',
                'css_animation' => '',
                'line_color' => '',
                'el_class' => ''
            ), $atts));

            return do_shortcode('[prk_styled_title align="' . strtolower($align) . '" line_color="' . $line_color . '" text_color="' . $text_color . '" font_type="' . strtolower($font_type) . '" underlined="' . strtolower($underlined) . '" title_size="' . strtolower($title_size) . '" pulse_show_line="' . strtolower($pulse_show_line) . '" use_italic="' . strtolower($use_italic) . '" css_animation="' . $css_animation . '" el_class="' . $el_class . '"]' . $prk_in . '[/prk_styled_title]');
        }

        add_shortcode('prkwp_styled_title', 'prkwp_styled_title_func');

        vc_map(array(
            "name" => __("Styled title", "pulse"),
            "base" => "prkwp_styled_title",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-ui-separator-label",
            "description" => __('Display theme like titles', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Text", "pulse"),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Alignment", "js_composer"),
                    "param_name" => "align",
                    "value" => array("Left", "Center", "Right"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Font face", "pulse"),
                    "param_name" => "font_type",
                    "value" => array(
                        __('Headings font', "js_composer") => "header_font",
                        __('Body font', "js_composer") => "body_font",
                        __('Extra font', "js_composer") => "custom_font"),
                    "description" => __("Set up a font face according to the theme options", "pulse")
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Color", "pulse"),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme default headings color will be used", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Title size", "js_composer"),
                    "param_name" => "title_size",
                    "value" => array(__('Extra Large', "js_composer") => "h1", __('Large', "js_composer") => "h2", __('Medium', "js_composer") => "h3", __('Small', "js_composer") => "h4", __('Extra Small', "js_composer") => "h5"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Italic font style?", "js_composer"),
                    "param_name" => "use_italic",
                    "value" => array("No", "Yes"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Append line to title?", "js_composer"),
                    "param_name" => "pulse_show_line",
                    "value" => array(__(
                        'No', "js_composer") => "no",
                        __('Yes, a thin line above', "js_composer") => "above thin",
                        __('Yes, a thick line above', "js_composer") => "above thick",
                        __('Yes, a thicker line above', "js_composer") => "above thicker",
                        __('Yes, a thin line under', "js_composer") => "thin",
                        __('Yes, a thick line under', "js_composer") => "thick",
                        __('Yes, a thicker line under', "js_composer") => "thicker",
                        __('Yes, two lines on the sides', "js_composer") => "double_lined"),
                    "description" => ""
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Appended line color", "pulse"),
                    "param_name" => "line_color",
                    "value" => "",
                    "dependency" => Array('element' => "pulse_show_line", 'value' => array('above thin', 'above thick', 'above thicker', 'thin', 'thick', 'thicker')),
                    "description" => __("Optional - If blank the theme default headings color will be used", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Underline title?", "js_composer"),
                    "param_name" => "underlined",
                    "value" => array(__('No', "js_composer") => "", __('Yes, thin line', "js_composer") => "small_underline", __('Yes, thick line', "js_composer") => "large_underline"),
                    "description" => __("", "js_composer")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Separator ----------------------------------------------------- */
        vc_map(array(
            "name" => __("Separator", "js_composer"),
            "base" => "prk_line",
            'icon' => 'icon-wpb-ui-separator',
            "show_settings_on_create" => true,
            "category" => __('Theme: Special', 'js_composer'),
            "description" => __('Horizontal separator line with optional icon', 'js_composer'),
            "params" => array(
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Divider color", "pulse"),
                    "param_name" => "color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme default headings color will be used", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Width in px or %", "pulse"),
                    "param_name" => "width",
                    "value" => "100%",
                    "description" => "Default is 100%."
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Height in px", "pulse"),
                    "param_name" => "height",
                    "value" => "1px",
                    "description" => "Default is 1px."
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Alignment", "js_composer"),
                    "param_name" => "align",
                    "value" => array(
                        __('Inherit', "js_composer") => "inherit",
                        __('Center', "js_composer") => "center"),
                    "description" => __("", "js_composer")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Divider icon", "pulse"),
                    "param_name" => "icon",
                    "value" => "",
                    "description" => __("Optional - Example: pulse_fa-cab. For a complete list click here or visit <a href='https://www.pirenko.com/assets/pulse/icons.html?TB_iframe=true' class='thickbox'>https://www.pirenko.com/assets/pulse/icons.html</a>.", "pulse", "pulse")
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon color", "pulse"),
                    "param_name" => "icon_color",
                    "value" => "",
                    "description" => __("", "pulse"),
                    "dependency" => Array('element' => "icon", 'not_empty' => true)
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon background color", "pulse"),
                    "param_name" => "icon_bk_color",
                    "value" => "#FFFFFF",
                    "description" => __("", "pulse"),
                    "dependency" => Array('element' => "icon", 'not_empty' => true)
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer"),
                )
            )
        ));


        /* Blockquote ----------------------------------------------------- */
        function bquote_func($atts)
        {
            extract(shortcode_atts(array(
                'prk_in' => '',
                'author' => '',
                'after_author' => '',
                'type' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts));

            return do_shortcode("<div class='wpb_content_element'>[pirenko_blockquote author='{$author}' after_author='{$after_author}' type='{$type}' css_animation='{$css_animation}' el_class='{$el_class}']{$prk_in}[/pirenko_blockquote]</div>");
        }

        add_shortcode('bquote', 'bquote_func');

        vc_map(array(
            "name" => __("Blockquote", "pulse"),
            "base" => "bquote",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Stylish quotes that stand out', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Blockquote type", "js_composer"),
                    "param_name" => "type",
                    "value" => array(
                        __('Plain', "js_composer") => "plain",
                        __('Tagline', "js_composer") => "tagline",
                        __('Cropped corners', "js_composer") => "cropped_corners",
                        __('Colored background', "js_composer") => "colored_background"
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Author", "pulse"),
                    "param_name" => "author",
                    "value" => __("", "pulse"),
                    "description" => __("", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("After author text", "pulse"),
                    "param_name" => "after_author",
                    "value" => __("", "pulse"),
                    "description" => __("Optional", "pulse")
                ),
                array(
                    "type" => "textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Content", "pulse"),
                    "param_name" => "prk_in",
                    "value" => __("", "pulse"),
                    "description" => __("", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Animated Counter ----------------------------------------------------- */
        function prkwp_counter_func($atts)
        {
            extract(shortcode_atts(array(
                'counter_number' => '',
                'prk_in' => '',
                'align' => '',
                'image' => '',
                'serv_image' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts));
            if ($align == "center_smaller") {
                $align = "prk_counter_center pulse_smaller_counter";
            } else {
                $align = "prk_counter_center";
            }
            $image_attributes = wp_get_attachment_image_src($serv_image, 'full');
            return do_shortcode('[prk_counter counter_number="' . $counter_number . '" align="' . $align . '" image="' . $image . '" serv_image="' . $image_attributes[0] . '" css_animation="' . $css_animation . '" el_class="' . $el_class . '"]' . $prk_in . '[/prk_counter]');
        }

        add_shortcode('prkwp_counter', 'prkwp_counter_func');
        vc_map(array(
            "name" => __("Animated Counter", "pulse"),
            "base" => "prkwp_counter",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-call-to-action",
            "description" => __('Easy animated counter', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Counter final number", "pulse"),
                    "param_name" => "counter_number",
                    "value" => "3",
                    "description" => "The value that will be displayed after the animation ends"
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Size", "js_composer"),
                    "param_name" => "align",
                    "value" => array(
                        __('Regular', "js_composer") => "center",
                        __('Smaller', "js_composer") => "center_smaller"
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __("Counter image", "js_composer"),
                    "param_name" => "serv_image",
                    "value" => "",
                    "description" => __("Select image from media library. Has priority over icon class value below.", "js_composer")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Counter icon", "pulse"),
                    "param_name" => "image",
                    "value" => "",
                    "description" => __("Example: pulse_fa-cab. For a complete list click here or visit <a href='https://www.pirenko.com/assets/pulse/icons.html?TB_iframe=true' class='thickbox'>https://www.pirenko.com/assets/pulse/icons.html</a>.", "pulse")
                ),
                array(
                    "type" => "textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Content", "pulse"),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => "Will be displayed under the animated counter"
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Service ----------------------------------------------------- */
        function prkwp_service_func($atts)
        {
            extract(shortcode_atts(array(
                'prk_in' => '',
                'name' => '',
                'align' => '',
                'image' => '',
                'bk_color' => '',
                'link' => '',
                'serv_image' => '',
                'link_text' => '',
                'text_color' => '',
                'icon_color' => '',
                'icon_up_color' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts));
            if ($align == "center") {
                $align = "prk_service_center";
            } else if ($align == "center_smaller") {
                $align = "prk_service_center pulse_smaller_service";
            } else if ($align == "right_bigger") {
                $align = "prk_service_right pulse_bigger_service";
            } else if ($align == "right") {
                $align = "prk_service_right";
            } else if ($align == "left_bigger") {
                $align = "prk_service_left pulse_bigger_service";
            } else {
                $align = "prk_service_left";
            }
            $image_attributes = wp_get_attachment_image_src($serv_image, 'full');
            return do_shortcode('[prk_service name="' . $name . '" align="' . $align . '" text_color="' . $text_color . '" icon_up_color="' . $icon_up_color . '" icon_color="' . $icon_color . '" image="' . $image . '" serv_image="' . $image_attributes[0] . '" link="' . $link . '" bk_color="' . $bk_color . '" link_text="' . $link_text . '" css_animation="' . $css_animation . '" el_class="' . $el_class . '"]' . $prk_in . '[/prk_service]');
        }

        add_shortcode('prkwp_service', 'prkwp_service_func');
        vc_map(array(
            "name" => __("Service", "pulse"),
            "base" => "prkwp_service",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-toggle-small-expand",
            "description" => __('Easy information blocks with images', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title", "pulse"),
                    "param_name" => "name",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "attach_image",
                    "heading" => __("Service image", "js_composer"),
                    "param_name" => "serv_image",
                    "value" => "",
                    "description" => __("Select image from media library. Has priority over icon class value below.", "js_composer")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon class", "pulse"),
                    "param_name" => "image",
                    "value" => "",
                    "description" => __("Example: pulse_fa-cab. For a complete list click here or visit <a href='https://www.pirenko.com/assets/pulse/icons.html?TB_iframe=true' class='thickbox'>https://www.pirenko.com/assets/pulse/icons.html</a>.", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Alignment", "js_composer"),
                    "param_name" => "align",
                    "value" => array(
                        __('Left', "js_composer") => "left_bigger",
                        __('Left with smaller icon/image', "js_composer") => "left",
                        __('Centered', "js_composer") => "center",
                        __('Centered with smaller icon/image', "js_composer") => "center_smaller",
                        __('Right', "js_composer") => "right_bigger",
                        __('Right with smaller icon/image', "js_composer") => "right",
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Content", "pulse"),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Text color", "pulse"),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional - Will force all service content to have this color", "pulse")
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon up color", "pulse"),
                    "param_name" => "icon_up_color",
                    "value" => "",
                    "description" => __("Optional", "pulse"),
                    "dependency" => Array('element' => "href", 'not_empty' => false)
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon rollover color", "pulse"),
                    "param_name" => "icon_color",
                    "value" => "",
                    "description" => __("Optional", "pulse"),
                    "dependency" => Array('element' => "href", 'not_empty' => false)
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Background color", "pulse"),
                    "param_name" => "bk_color",
                    "value" => "",
                    "description" => __("Optional", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("URL link", "pulse"),
                    "param_name" => "link",
                    "value" => "",
                    "description" => __("Optional", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("URL link text", "pulse"),
                    "param_name" => "link_text",
                    "value" => "",
                    "description" => __("Leave blank for theme default Read More text.", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));
        /* Theme Icon ----------------------------------------------------- */
        function prk_wp_icon_func($atts)
        {
            extract(shortcode_atts(array(
                'icon_size' => '',
                'text_color' => '',
                'align' => '',
                'css_animation' => '',
                'el_class' => '',
                'icon' => ''
            ), $atts));

            return do_shortcode('[pirenko_theme_icon icon_size="' . $icon_size . '" align="' . $align . '" icon="' . $icon . '" text_color="' . $text_color . '" css_animation="' . $css_animation . '" el_class="' . $el_class . '"][/pirenko_theme_icon]');
        }

        add_shortcode('prk_wp_icon', 'prk_wp_icon_func');
        vc_map(array(
            "name" => __("Theme Icon", "js_composer"),
            "base" => "prk_wp_icon",
            "icon" => "icon-wpb-ui-custom_heading",
            "category" => __('Theme: Special', 'js_composer'),
            "description" => __('Awesome icons in any size.', 'js_composer'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "heading" => __("Icon size", "js_composer"),
                    "param_name" => "icon_size",
                    "description" => __("Enter icon size. Default is 14px. Examples: 32px or 2em", "js_composer")
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icon color", "pulse"),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme default color will be used", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Icon alignment", "js_composer"),
                    "param_name" => "align",
                    "value" => array("Left", "Center", "Right"),
                    "description" => __("", "js_composer")
                ),
                array(
                    "type" => "iconpicker",
                    "heading" => __("Icon selector", "js_composer"),
                    "param_name" => "icon",
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer"),
                )
            ),
        ));

        /* Theme Button ----------------------------------------------------- */
        function theme_button_func($atts)
        {
            extract(shortcode_atts(array(
                'prk_in' => '',
                'type' => '',
                'window' => '',
                'link' => '',
                'el_class' => '',
                'css_animation' => '',
                'button_icon' => '',
                'button_bk_color' => ''
            ), $atts));
            if ($window == "No")
                $window = "_self";
            else
                $window = "_blank";

            return do_shortcode('[theme_button type="' . $type . '" button_icon="' . $button_icon . '" link="' . $link . '" window="' . $window . '" css_animation="' . $css_animation . '" el_class="' . $el_class . '" button_bk_color="' . $button_bk_color . '"]' . $prk_in . '[/theme_button]');
        }

        add_shortcode('prk_wp_theme_button', 'theme_button_func');

        vc_map(array(
            "name" => __("Theme Button", "pulse"),
            "base" => "prk_wp_theme_button",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-ui-button",
            "description" => __('Buttons with the theme default styling', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            //'admin_enqueue_js' => array(get_template_directory_uri().'/vc_extend/bartag.js'),
            //'admin_enqueue_css' => array(get_template_directory_uri().'/vc_extend/bartag.css'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Button type", "js_composer"),
                    "param_name" => "type",
                    "value" => array(
                        __('Large Theme Button', "js_composer") => "theme_button large",
                        __('Medium Theme Button', "js_composer") => "theme_button medium",
                        __('Small Theme Button', "js_composer") => "theme_button small",
                        __('Tiny Theme Button', "js_composer") => "theme_button tiny",
                        __('Large Theme Button - Inverted Colors', "js_composer") => "colored_theme_button large",
                        __('Medium Theme Button - Inverted Colors', "js_composer") => "colored_theme_button medium",
                        __('Small Theme Button - Inverted Colors', "js_composer") => "colored_theme_button small",
                        __('Tiny Theme Button - Inverted Colors', "js_composer") => "colored_theme_button tiny",
                    ),
                    "description" => ""
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button up color", "pulse"),
                    "param_name" => "button_bk_color",
                    "value" => "",
                    "description" => __("Optional - will override the button up color", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button text", "pulse"),
                    "param_name" => "prk_in",
                    "value" => __("", "pulse"),
                    "description" => __("", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Link", "pulse"),
                    "param_name" => "link",
                    "value" => __("", "pulse"),
                    "description" => __("", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Open link in a new window?", "js_composer"),
                    "param_name" => "window",
                    "value" => array("No", "Yes"),
                    "description" => __("", "js_composer", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Image Gallery ----------------------------------------------------- */
        vc_map(array(
            "name" => __("Image Gallery", "js_composer"),
            "description" => __('Multiple images from Media Library', 'js_composer'),
            "base" => "pirenko_gallery",
            "icon" => "icon-wpb-images-stack",
            "category" => __('Theme: Special', 'js_composer'),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Gallery type", "js_composer"),
                    "param_name" => "type",
                    "value" => array(__("Masonry", "js_composer") => "masonry", __("Grid (rectangles)", "js_composer") => "grid", __("Grid (squares)", "js_composer") => "squares"),
                    "description" => __("Select grid type.", "js_composer")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Number of columns", "js_composer"),
                    "param_name" => "cols_number",
                    "value" => array(
                        __("Two", "js_composer") => "iso_doubles",
                        __("Three", "js_composer") => "iso_thirds",
                        __("Four", "js_composer") => "iso_fourths",
                        __("Five", "js_composer") => "iso_fifths",
                        __("Six", "js_composer") => "iso_sixths"),
                    "description" => __("Select grid type.", "js_composer")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show image title on rollover?", "js_composer"),
                    "param_name" => "show_titles",
                    "value" => $yes_no_arr,
                    "description" => __("Will be shown when mouse is over.", "js_composer")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Thumbnails margin", "astro_lang"),
                    "param_name" => "thumbs_mg",
                    "value" => "",
                    "description" => __("Default value is 10", "astro_lang")
                ),
                array(
                    "type" => "attach_images",
                    "heading" => __("Images", "js_composer"),
                    "param_name" => "images",
                    "value" => "",
                    "description" => __("Select images from media library.", "js_composer")
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Theme Slider ----------------------------------------------------- */
        vc_map(array(
            "name" => __("Theme Slider", "pulse"),
            "base" => "prk_slider",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-slideshow",
            "category" => __('Theme: Special', "pulse"),
            "description" => __('Display theme slides using Flexslider', 'js_composer'),
            "params" => array(
                array(
                    "type" => "checkbox",
                    "heading" => __("Groups filter", "pulse"),
                    "param_name" => "category",
                    "value" => $slides_terms_array,
                    "description" => __("Optional - leave blank for all", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Autoplay slider?", "js_composer"),
                    "param_name" => "autoplay",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Slider delay", "pulse"),
                    "param_name" => "delay",
                    "value" => "",
                    "description" => __("In miliseconds - If blank the theme default value will be used", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Append navigation arrows to slider?", "js_composer"),
                    "param_name" => "navigation",
                    "value" => array(
                        __("No", "js_composer") => "false",
                        __("Yes", "js_composer") => "true"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Append navigation dots to slider?", "js_composer"),
                    "param_name" => "pagination",
                    "value" => array(
                        __("No", "js_composer") => "false",
                        __("Yes", "js_composer") => "true"),
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));


        /* Pricing Tables ----------------------------------------------------- */
        function prkwp_price_table_func($atts)
        {
            extract(shortcode_atts(array(
                'prk_in' => '',
                'featured' => '',
                'header' => '',
                'color' => '',
                'price' => '',
                'under_price' => '',
                'button_label' => '',
                'button_link' => '',
                'featured_text' => '',
                'css_animation' => '',
                'el_class' => ''
            ), $atts));
            $lines_output = "<ul>";
            $prk_edited = str_replace(", ", "prkwrdoff", $prk_in);
            $arr = explode(",", $prk_edited);
            if (count($arr) > 0) {
                foreach ($arr as $single) {
                    $lines_output .= '<li>' . str_replace("prkwrdoff", ", ", $single) . '</li>';
                }
            }
            $lines_output .= "</ul>";
            return do_shortcode('[prk_price_table header="' . $featured . '" featured="' . $header . '" el_class="' . $el_class . '" css_animation="' . $css_animation . '" featured_text="' . $featured_text . '" color="' . $color . '" price="' . $price . '" under_price="' . $under_price . '" button_label="' . $button_label . '" button_link="' . $button_link . '"]' . $lines_output . '[/prk_price_table]');
        }

        add_shortcode('prkwp_price_table', 'prkwp_price_table_func');

        vc_map(array(
            "name" => __("Pricing table", "pulse"),
            "base" => "prkwp_price_table",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Informational tables with multiple content fields', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title", "pulse"),
                    "param_name" => "featured",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Header description text", "pulse"),
                    "param_name" => "header",
                    "value" => "",
                    "description" => __("Optional - Will be displayed under the title", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Featured text", "pulse"),
                    "param_name" => "featured_text",
                    "value" => "",
                    "description" => __("Optional - Will be displayed on a ribbon on the right side", "pulse")
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Color", "pulse"),
                    "param_name" => "color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme active color will be used", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Price text", "pulse"),
                    "param_name" => "price",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Under price text", "pulse"),
                    "param_name" => "under_price",
                    "value" => "",
                    "description" => __("Example: per month", "pulse")
                ),
                array(
                    "type" => "exploded_textarea",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Description text", "pulse"),
                    "param_name" => "prk_in",
                    "value" => "",
                    "description" => __("Enter descriptions for this table here. Divide them with linebreaks (Enter).", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button text", "pulse"),
                    "param_name" => "button_label",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Button URL", "pulse"),
                    "param_name" => "button_link",
                    "value" => "",
                    "description" => __("Leave blank if no button is needed", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Latest Posts ----------------------------------------------------- */
        vc_map(array(
            "name" => __("Latest Posts", "pulse"),
            "base" => "pirenko_last_posts",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-vc_carousel",
            "description" => __('Show blog entries', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Appearance", "js_composer"),
                    "param_name" => "general_style",
                    "value" => array(
                        __("Classic style - show all posts in multiple rows", "js_composer") => "classic",
                        __("Classic style with slider - show all posts in a single row with navigation arrows", "js_composer") => "slider",
                        __("Full width slider - show posts one by one using the theme slider", "js_composer") => "owl_slider"),
                    "description" => ""
                ),
                array(
                    "type" => "checkbox",
                    "heading" => __("Category filter", "pulse"),
                    "param_name" => "cat_filter",
                    "value" => $posts_terms_array,
                    "description" => __("Optional - leave blank for all", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Items number", "pulse"),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => __("Optional - Default is three", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Rows number", "pulse"),
                    "param_name" => "rows_number",
                    "value" => "1",
                    "description" => "",
                    "dependency" => Array('element' => "general_style", 'value' => 'classic')
                ),
                array(
                    "type" => "colorpicker",
                    "heading" => __("Posts overlay color", "js_composer"),
                    "param_name" => "bg_color",
                    "description" => __("Optional - will be shown over each image. Use reduced opacity for a see through effect.", "js_composer"),
                    "dependency" => Array('element' => "general_style", 'value' => array('owl_slider'))
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Latest Portfolio ----------------------------------------------------- */
        vc_map(array(
            "name" => __("Latest Portfolio", "pulse"),
            "base" => "pirenko_last_portfolios",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-images-carousel",
            "description" => __('Show portfolio entries', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Layout type?", "js_composer"),
                    "param_name" => "layout_type_folio",
                    "value" => array(
                        __("Grid with horizontal rectangular images", "js_composer") => "grid",
                        __("Grid with vertical rectangular images", "js_composer") => "grid_vertical",
                        __("Grid with squared images", "js_composer") => "squares",
                        __("Grid without image crop - Masonry", "js_composer") => "masonry"),
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Columns number", "pulse"),
                    "param_name" => "cols_number",
                    "value" => "3",
                    "description" => "Use 0 for variable number"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Items number", "pulse"),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => __("Optional - default value is 9", "pulse")
                ),
                array(
                    "type" => "checkbox",
                    "heading" => __("Skills filter", "pulse"),
                    "param_name" => "cat_filter",
                    "value" => $portfolio_terms_array,
                    "description" => __("Optional - leave blank for all", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show filter above thumbnails?", "js_composer"),
                    "param_name" => "show_filter",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Thumbnails click behavior?", "js_composer"),
                    "param_name" => "thumbs_type_folio",
                    "value" => array(
                        // __("Show project with an overlay and hide page content", "js_composer") => "overlayed",
                        // __("Show project above the thumbnails", "js_composer") => "aboved",
                        __("Open lightbox", "js_composer") => "lightboxed",
                        __("Open project on a different page", "js_composer") => "classiqued"),
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Thumbnails margin", "pulse"),
                    "param_name" => "thumbs_mg",
                    "value" => "",
                    "description" => __("Default value is 10", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Multi-colored thumbs on rollover?", "js_composer"),
                    "param_name" => "multicolored_thumbs",
                    "value" => $yes_no_arr,
                    "description" => "If yes the portfolio default color will be applied to each thumb."
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show project information on rollover?", "js_composer"),
                    "param_name" => "pulse_show_skills",
                    "value" => array(
                        __("On rollover - Title and skills", "js_composer") => "folio_title_and_skills",
                        __("Title only", "js_composer") => "folio_title_only",
                        __("Always show under thumb - Title and skills", "js_composer") => "folio_always_title_and_skills",
                        __("Always show under thumb - Title only", "js_composer") => "folio_always_title_only"),
                    "description" => "",
                    "dependency" => Array('element' => "titled_portfolio", 'value' => array('no'))
                ),
                /*array(
                    "type" => "dropdown",
                    "heading" => __("Always show project info?", "js_composer"),
                    "param_name" => "titled_portfolio",
                    "value" => $no_yes_arr,
                    "description" => "Will be shown under the thumbnail."
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show icons inside thumbnail?", "js_composer"),
                    "param_name" => "icons_display",
                    "value" => array(__("Yes, show lightbox and link", "js_composer") => "both_icon", __("No", "js_composer") => "no"),
                    "description" => "",
                    "dependency" => Array('element' => "titled_portfolio", 'value' => array('no'))
                ),
                array(
                   "type" => "textfield",
                   "holder" => "div",
                   "class" => "",
                   "heading" => __("View portfolio button text","pulse"),
                   "param_name" => "button_label",
                   "value" => "",
                   "description" => __("Leave blank if no button is needed","pulse")
                ),
                array(
                   "type" => "textfield",
                   "holder" => "div",
                   "class" => "",
                   "heading" => __("View portfolio button URL","pulse"),
                   "param_name" => "button_url",
                   "value" => "",
                   "description" => __("Leave blank if no button is needed","pulse")
                ),*/
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Authors Spotlight ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Authors Spotlight", "pulse"),
            "base" => "prk_authors",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-information-white",
            "description" => __('Display WordPress Authors Info', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "checkbox",
                    "heading" => __("Authors to be displayed", "pulse"),
                    "param_name" => "category",
                    "value" => $authors_terms_array,
                    "description" => __("Optional - leave blank for all", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Number of authors per row", "pulse"),
                    "param_name" => "columns",
                    "value" => "3",
                    "description" => "",
                    "dependency" => Array('element' => "general_style", 'value' => 'classic')
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Text alignment", "js_composer"),
                    "param_name" => "text_align",
                    "value" => array(__("Center", "js_composer") => "text_center", __("Left", "js_composer") => "text_left", __("Right", "js_composer") => "text_right"),
                    "description" => __("", "js_composer")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Author information display", "js_composer"),
                    "param_name" => "content_amount",
                    "value" => array(
                        __("Show subheading only", "js_composer") => "compressed",
                        __("Show all information", "js_composer") => "everything"),
                    "description" => ""
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Testimonials ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Testimonials", "pulse"),
            "base" => "prk_testimonials",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-call-to-action",
            "description" => __('Display Testimonials', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "checkbox",
                    "heading" => __("Testimonials group filter", "pulse"),
                    "param_name" => "category",
                    "value" => $testimonials_terms_array,
                    "description" => __("Optional - leave blank for all", "pulse")
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Maximum number of testimonials", "pulse"),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => "Optional - leave blank for all"
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Text color", "pulse"),
                    "param_name" => "color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme active color will be used", "pulse")
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Text and buttons alignment", "js_composer"),
                    "param_name" => "align",
                    "value" => array("Left", "Center"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show navigation arrows?", "js_composer"),
                    "param_name" => "show_controls",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Autoplay slider?", "js_composer"),
                    "param_name" => "autoplay",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Slider delay", "pulse"),
                    "param_name" => "delay",
                    "value" => "",
                    "description" => __("In miliseconds - If blank the theme default value will be used", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Comments ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Comments", "pulse"),
            "base" => "pirenko_comments",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-atm",
            "description" => __('Display comments from users', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title", "pulse"),
                    "param_name" => "title",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Number of comments", "pulse"),
                    "param_name" => "items_number",
                    "value" => "",
                    "description" => ""
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Contact Information ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Contact Information", "pulse"),
            "base" => "pirenko_contact_info",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-toggle-small-expand",
            "description" => __('Display general contact info', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "attach_image",
                    "heading" => __("Logo Image", "js_composer"),
                    "param_name" => "image_path",
                    "value" => "",
                    "description" => __("Optional", "js_composer")
                ),
                array(
                    "type" => "textarea_html",
                    "holder" => "div",
                    "class" => "messagebox_text",
                    "heading" => __("Description (will be displayed above the address (optional)", "js_composer"),
                    "param_name" => "content",
                    "value" => __("", "js_composer"),
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Company Name", "pulse"),
                    "param_name" => "company_name",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Street Address", "pulse"),
                    "param_name" => "street_address",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("City", "pulse"),
                    "param_name" => "locality",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Zipcode", "pulse"),
                    "param_name" => "postal_code",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Telephone", "pulse"),
                    "param_name" => "tel",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Fax", "pulse"),
                    "param_name" => "fax",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Opening hours", "pulse"),
                    "param_name" => "hours",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Email", "pulse"),
                    "param_name" => "email",
                    "value" => "",
                    "description" => "Optional"
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Forced text color", "pulse"),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional - If blank the theme default color scheme will be used", "pulse")
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Social Networks Links ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Social Networks Links", "pulse"),
            "base" => "pirenko_social_nets",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-application-icon-large",
            "description" => __('Display links to Social Networks', 'js_composer'),
            "category" => __('Theme: Special', "pulse"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Icons style", "js_composer"),
                    "param_name" => "icons_style",
                    "value" => array(
                        __("Minimal icons", "js_composer") => "minimal_icons",
                        __("Animated icons", "js_composer") => "fancy_icons"),
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Icons size", "js_composer"),
                    "param_name" => "icons_size",
                    "value" => array(
                        __("Small icons", "js_composer") => "pulse_small_icons",
                        __("Medium icons", "js_composer") => "pulse_medium_icons"),
                    "description" => "",
                    "dependency" => Array('element' => "icons_style", 'value' => array('fancy_icons'))
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icons custom up color", "pulse"),
                    "param_name" => "text_color",
                    "value" => "",
                    "description" => __("Optional", "pulse"),
                ),
                array(
                    "type" => "colorpicker",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Icons custom up background color", "pulse"),
                    "param_name" => "background_color",
                    "value" => "",
                    "description" => __("Optional", "pulse"),
                    "dependency" => Array('element' => "icons_style", 'value' => array('fancy_icons'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 1", "js_composer"),
                    "param_name" => "net_1",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 1 link", "js_composer"),
                    "param_name" => "link_1",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_1", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 2", "js_composer"),
                    "param_name" => "net_2",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 2 link", "js_composer"),
                    "param_name" => "link_2",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_2", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 3", "js_composer"),
                    "param_name" => "net_3",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 3 link", "js_composer"),
                    "param_name" => "link_3",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_3", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 4", "js_composer"),
                    "param_name" => "net_4",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 4 link", "js_composer"),
                    "param_name" => "link_4",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_4", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 5", "js_composer"),
                    "param_name" => "net_5",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 5 link", "js_composer"),
                    "param_name" => "link_5",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_5", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 6", "js_composer"),
                    "param_name" => "net_6",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 6 link", "js_composer"),
                    "param_name" => "link_6",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_6", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 7", "js_composer"),
                    "param_name" => "net_7",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 7 link", "js_composer"),
                    "param_name" => "link_7",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_7", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Social Network 8", "js_composer"),
                    "param_name" => "net_8",
                    "value" => $nets_array,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Social Network 8 link", "js_composer"),
                    "param_name" => "link_8",
                    "description" => __("", "js_composer"),
                    "dependency" => Array('element' => "net_8", 'value' => array('behance', 'soundcloud', 'delicious', 'deviantart', 'dribbble', 'facebook', 'flickr', 'gplus', 'instagram', 'linkedin', 'pinterest', 'skype', 'twitter', 'vimeo', 'yahoo', 'youtube', 'rss', 'book'))
                ),
                $add_css_animation,
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

        /* Theme Contact Form ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Theme Contact Form", "js_composer"),
            "base" => "prk_contact_form",
            'icon' => 'icon-wpb-vc_gravityform',
            "category" => __('Content', 'js_composer'),
            "description" => __('Regular contact form', 'js_composer'),
            "params" => array(
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "admin_label" => true,
                    "heading" => __("Receiving email address", "pulse"),
                    "param_name" => "email_adr",
                    "value" => "youremail@somthing.com",
                    "description" => "The email that will receive messages through this form."
                ),
            )
        ));
        /* Sitemap ---------------------------------------------------------- */
        vc_map(array(
            "name" => __("Sitemap", "pulse"),
            "base" => "prk_sitemap",
            "class" => "pulse_scodes_editor",
            "icon" => "icon-wpb-prk-sitemap",
            "description" => __('Complete sitemap with all post types', 'js_composer'),
            "category" => __('Theme: Feeds', "pulse"),
            "params" => array(
                array(
                    "type" => "dropdown",
                    "heading" => __("Show Pages?", "js_composer"),
                    "param_name" => "show_pages",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for Pages", "pulse"),
                    "param_name" => "txt_pages",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show blog categories?", "js_composer"),
                    "param_name" => "show_blog_cats",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for blog categories", "pulse"),
                    "param_name" => "txt_blog_cats",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show blog posts?", "js_composer"),
                    "param_name" => "show_posts",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for blog posts", "pulse"),
                    "param_name" => "txt_posts",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "dropdown",
                    "heading" => __("Show portfolio posts?", "js_composer"),
                    "param_name" => "show_port_posts",
                    "value" => $yes_no_arr,
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "holder" => "div",
                    "class" => "",
                    "heading" => __("Title for portfolio posts", "pulse"),
                    "param_name" => "txt_port_posts",
                    "value" => "",
                    "description" => ""
                ),
                array(
                    "type" => "textfield",
                    "heading" => __("Extra class name", "js_composer"),
                    "param_name" => "el_class",
                    "description" => __("If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.", "js_composer")
                )
            )
        ));

    }
}
add_action( 'vc_before_init', 'pulse_integrateWithVC' );



