<?php

function pulse_widgets_init() {
    global $prk_pulse_options;
    register_sidebar(array(
        'name' => __('Right Sidebar', 'pulse'),
        'id' => 'sidebar-primary',
        'before_widget' => '<div id="%1$s" class="widget %2$s vertical_widget clearfix"><div class="widget_inner prk_9_em">',
        'after_widget' => '</div><div class="clearfix"></div></div>',
        'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
        'after_title' => '</div><div class="clearfix"></div>',
    ));
    register_sidebar(array(
        'name' => __('Hidden Sidebar', 'pulse'),
        'id' => 'sidebar-hidden',
        'before_widget' => '<div id="%1$s" class="widget %2$s vertical_widget"><div class="widget_inner">',
        'after_widget' => '</div><div class="clearfix"></div></div>',
        'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
        'after_title' => '</div><div class="clearfix"></div>',
    ));
    register_sidebar(array(
        'name' => __('Mobile Sidebar', 'pulse'),
        'id' => 'sidebar-mobile',
        'before_widget' => '<div id="%1$s" class="widget %2$s header_stack"><div class="widget_inner">',
        'after_widget' => '</div><div class="clearfix"></div></div>',
        'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
        'after_title' => '</div><div class="clearfix"></div>',
    ));
    register_sidebar(array(
        'name' => __('Footer Sidebar', 'pulse'),
        'id' => 'sidebar-footer',
        'before_widget' => '<div id="%1$s" class="widget %2$s columns"><div class="widget_inner">',
        'after_widget' => '</div><div class="clearfix"></div></div>',
        'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
        'after_title' => '</div><div class="clearfix"></div>',
    ));
    //PLACE WOOCOMMERCE IF NEEDED
    if (PRK_WOO=="true") {
            register_sidebar(array(
            'name' => __('WooCommerce Sidebar', 'pulse'),
            'id' => 'prk-woo-sidebar',
            'before_widget' => '<div id="%1$s" class="widget %2$s vertical_widget clearfix"><div class="widget_inner prk_9_em">',
            'after_widget' => '</div></div>',
            'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
            'after_title' => '</div>',
        ));
    } 
}
add_action('widgets_init', 'pulse_widgets_init');
