<?php
/*
Template Name: Portfolio Page
*/
get_header();
$inportfolio_layout=get_field('portfolio_layout');
global $prk_retina_device;
$show_title=false;
if (get_field('show_title')=="1")
{
    $show_title=true;
}
if (get_field('multicolored_thumbs')=="1")
    $multicolored_thumbs="yes";
else
    $multicolored_thumbs="no";
if (get_field('titled_portfolio')=="1")
    $titled_portfolio="yes";
else
    $titled_portfolio="no";
if (get_field('show_filter')=="1")
    $pulse_show_filter="yes";
else
    $pulse_show_filter="no";
if (get_field('cols_number')!="" && get_field('cols_number')!="0")
    $cols_number=get_field('cols_number');
else
    $cols_number="3";
if (get_field('featured_header')=="" || get_field('featured_header')=="1") {
    $featured_style='';
}
else {
    $featured_style=' class="pulse_forced_menu"';
}
$inside_filter="";
$cats_counter=0;
if (get_field('cat_filter')!="") {
    $filter=get_field('cat_filter');
    foreach ($filter as $child)
    {
        //ADD THE CATEGORIES TO THE FILTER
        $inside_filter.=$child->slug.", ";
        $cats_counter++;
    }
}
$sides_pad=0;
if (get_field('limited_width')==0) {
    $sides_pad=get_field('thumbs_mg');
}
//ADD PROTECTED GALLERIES FEATURE
if ( !post_password_required() )
{
    ?>
    <div id="pulse_ajax_inner"<?php echo pulse_output().$featured_style; ?>>
        <div id="pulse_content">
            <?php
            wp_reset_postdata();
            while (have_posts()) : the_post();
                if (get_the_content()!="") {
                    echo '<div id="s_sec_inner" class="row">';

                    the_content();

                    echo '</div>';
                }
            endwhile;
            ?>
            <div id="portfolio_single_page" class="<?php if (get_field('limited_width')==0){echo 'wided_folio';}else{echo 'prk_inner_block small-12 small-centered columns';} ?>">
                <?php
                if ($show_title==true) {
                    $uppercase_me="";
                    if (get_field('uppercase_title')=="1") {
                        $uppercase_me=" uppercased_title";
                    }
                    echo '<div id="classic_title_wrapper">';
                    echo '<div class="small-centered columns prk_inner_block'.$uppercase_me.'">';
                    prk_output_title();
                    echo '</div>';
                    echo '</div>';
                }
                echo do_shortcode('[pirenko_last_portfolios thumbs_type_folio="'.get_field('thumbs_type_folio').'" layout_type_folio="'.$inportfolio_layout.'" cols_number="'.$cols_number.'" items_number="'.get_field('items_number').'" cat_filter="'.$inside_filter.'" thumbs_mg="'.get_field('thumbs_mg').'" multicolored_thumbs="'.$multicolored_thumbs.'" pulse_show_skills="'.get_field('pulse_show_skills').'" icons_display="'.get_field('icons_display').'" show_filter="'.$pulse_show_filter.'" filter_align="'.get_field('filter_align').'" sides_pad="'.$sides_pad.'" liner_color="'.get_field('liner_color').'" show_load_more="true"][/pirenko_last_portfolios]');
                ?>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
    <?php
}//PROTECTED GALLERY
else
{
    echo '<div id="pulse_ajax_inner"><div id="pulse_main_block"><div id="prk_protected" class="columns twelve centered">';
    while (have_posts()) : the_post();
        the_content();
    endwhile;
    echo '</div></div></div>';
}
?>
<?php get_footer(); ?>