<?php 
    get_header();
    global $prk_retina_device;
    while (have_posts()) : the_post(); 
        if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
        {
            $featured_color=get_field('featured_color');
            $featured_class=' featured_color';
        }
        else
        {
            $featured_color="default";
            $featured_class="";
        }
        $main_layout=$prk_pulse_options['portfolio_layout'];

        if (is_array($main_layout) || $main_layout=="")
        {
            $main_layout="wideout";
        }
        if (get_field('inner_layout')!="default") {
            $main_layout=get_field('inner_layout');
        }
        if ($prk_pulse_options['autoplay_portfolio']=="1")
        {
            $autoplay="true";
        }
        else
        {
            $autoplay="false";
        }
        $sl_id="single_slider";
        $sl_class="per_init owl-carousel pulse_shortcode_slider";
        if (get_field('no_slider')=="1")
        {
            $sl_id="not_slider";
            $sl_class="not_slider_wrapper";
        }
        if ($main_layout=="custom") {
            ?>
            <div id="pulse_ajax_inner">
                <div id="prk_custom_folio" class="row pirenko_portfolios">
                    <?php
                        if(has_shortcode(get_the_content(),'vc_row') && PRK_PULSE_COMPOSER=="true") 
                        {
                            the_content();
                        }
                        else
                        {
                            echo '<div class="prk_inner_block small-12 small-centered columns">';
                            the_content();
                            echo '<div class="clearfix bt_4x"></div>';
                            echo '<div class="clearfix"></div>';
                            echo '</div>';
                        }
                    ?>
                    <div class="clearfix"></div>
                    <div id="after_single_folio">
                        <?php
                            if ($prk_pulse_options['show_port_nav']=="1") {
                                prk_output_folio_nav($featured_color);
                            }
                            if (comments_open()) {
                                echo '<div class="small-12 columns prk_inner_block small-centered">';
                                comments_template();
                                echo '</div>';
                            }
                            echo prk_related_projects($post->ID);
                        ?>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
            <?php
        }
        else if ($main_layout=="half") {
                if (isset($prk_pulse_options['port_resp_order']) && $prk_pulse_options['port_resp_order']=="1") {
                    $featured_class.=' inv_folio_half';
                }
            ?>
            <div id="pulse_ajax_inner" class="pulse_forced_menu" data-parent="<?php echo esc_url(get_page_link(prk_get_parent_portfolio())); ?>"> 
                <div id="ajaxed_content">
                    <div class="row">
                        <article id="prk_half_folio" <?php post_class($featured_class); ?> data-color="<?php echo esc_attr($featured_color); ?>">
                            <div class="small-12 zero_side_pad columns prk_inner_block small-centered">
                                <div id="prk_half_size_single" class="row">
                                    <div class="small-8 columns">
                                        <div id="<?php echo esc_attr($sl_id); ?>">
                                            <div class="pls_multi_spinner"></div>
                                            <div class="<?php echo esc_attr($sl_class); ?>" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-navigation="true" data-delay="<?php echo esc_attr($prk_pulse_options['delay_portfolio']); ?>" data-color="<?php echo esc_attr($featured_color); ?>">
                                                <?php
                                                    $ext_count=0;
                                                    $imgs_width=ceil(($prk_pulse_options['custom_width']+80*2)*0.66)-32;
                                                    if ($imgs_width<690)
                                                        $imgs_width=690;
                                                    if (get_field('skip_featured')=="") {
                                                        if (has_post_thumbnail( $post->ID ) )
                                                        {
                                                            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
                                                            //$image[0] = get_image_path($image[0]);
                                                            $in_ttl="";
                                                            $alt_text="";
                                                            if ( $thumb = get_post_thumbnail_id() )
                                                            {
                                                                $in_ttl=get_post($thumb)->post_title;
                                                                $alt_text=get_post_meta($thumb, '_wp_attachment_image_alt', true);
                                                            }
                                                            echo '<div id="slide_1" class="item">';
                                                            $ext_count=1;
                                                            $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, '', false , $prk_retina_device );
                                                            echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                                            echo '</div>';
                                                        }
                                                    }
                                                    if (get_field('use_gallery')!="images_only") {
                                                        //PLACE THE OTHER NINETEEN IMAGES
                                                        for ($count=2;$count<21;$count++) {
                                                            if (get_field('image_'.$count)!="")
                                                            {
                                                                $ext_count++;
                                                                echo '<div id="slide_'.$ext_count.'" class="item">';
                                                                $in_image=wp_get_attachment_image_src(get_field('image_'.$count),'full');
                                                                $vt_image = vt_resize('', $in_image[0] , $imgs_width, '', false , $prk_retina_device);
                                                                echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                                                echo "</div>";
                                                            }
                                                            if (get_field('video_'.$count)!="")
                                                            {
                                                                $ext_count++;
                                                                echo '<div id="slide_'.$ext_count.'" class="item slide_video">';
                                                                $el_class='prk-video-container';
                                                                if (strpos(get_field('video_'.$count),'soundcloud.com') !== false) {
                                                                  $el_class= 'soundcloud-container';
                                                                }
                                                                echo '<div class="'.$el_class.'">'.get_field('video_'.$count).'</div></div>';
                                                            }
                                                        }
                                                    }
                                                    else
                                                    {
                                                        $regex = '/(\w+)\s*=\s*"(.*?)"/';
                                                        $pattern = '/\[gallery(.*?)\]/';
                                                        preg_match_all($regex, get_post_meta($post->ID,'image_gallery',true), $matches);
                                                        $stripped_gallery = array();
                                                        for ($i = 0; $i < count($matches[1]); $i++) {
                                                            $stripped_gallery[$matches[1][$i]] = $matches[2][$i];
                                                        }
                                                        if (!empty($stripped_gallery) && $stripped_gallery['ids']!="")
                                                        {
                                                            $array = explode(',', $stripped_gallery['ids']);
                                                            foreach($array as $value)
                                                            {
                                                                $ext_count++;
                                                                echo '<div id="slide_'.$ext_count.'" class="item">';
                                                                $in_image=wp_get_attachment_image_src($value,'full');
                                                                $vt_image = vt_resize( '', $in_image[0] , $imgs_width, '', false , $prk_retina_device );
                                                                echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                                                echo "</div>";
                                                            }
                                                        }
                                                    }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div id="half-entry-right" class="columns small-4">
                                            <h1 id="folio_ttl" class="header_font zero_color pulse_folio_uppercased">
                                                <?php the_title(); ?>
                                            </h1>
                                            <div class="clearfix"></div>
                                            <div id="single_entry_content" class="prk_no_composer prk_break_word<?php if(!has_shortcode(get_the_content(),'vc_row')) {echo " prk_composer_extra";} ?>">
                                                <?php the_content(); ?>
                                            </div>
                                            <div class="clearfix bt_2x"></div>
                                            <div class="prk_9_em">
                                                <?php
                                                    $line_counter=0;
                                                    if ($prk_pulse_options['dateby_port']=="1")
                                                    {
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['date_text'].':&nbsp;&nbsp;</span>';
                                                        echo '<span class="body_colored '.$prk_pulse_options['main_subheadings_font'].'">';
                                                        echo the_date();
                                                        echo '</span></div></div>';
                                                        $line_counter++;
                                                    }
                                                    if ($prk_pulse_options['categoriesby_port']=="1")
                                                    {
                                                        if (get_the_term_list(get_the_ID(),'pirenko_skills')!="")
                                                        {
                                                            $terms = wp_get_object_terms(get_the_ID(),'pirenko_skills');
                                                            $count = count($terms);
                                                            if ($count>0) {
                                                                if ($line_counter>0)
                                                                {
                                                                    echo '<div class="simple_line on_folio"></div>';
                                                                }
                                                                $line_counter++;
                                                                echo '<div class="pulse_info_block clearfix">';
                                                                echo '<div class="prk_left_floated">';
                                                                echo '<span class="zero_color prk_heavier_700">'.$prk_translations['skills_text'].':&nbsp;&nbsp;</span>';
                                                                $in_count=0;
                                                                echo '<span class="body_colored">';
                                                                //WITHOUT LINKS
                                                                foreach ( $terms as $term ) {
                                                                    if ($in_count>0)
                                                                        echo ", ";
                                                                    echo '' . $term->name . '';
                                                                    $in_count++;
                                                                }
                                                                //WITH LINKS
                                                                //echo get_the_term_list(get_the_ID(),'pirenko_skills', '', ', ', '' );
                                                                echo '</span></div></div>';
                                                            }
                                                        }
                                                    }
                                                    $terms=wp_get_object_terms(get_the_ID(),'portfolio_tag');
                                                    $count = count($terms);
                                                    if ($count>0) {
                                                        if ($line_counter>0) {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        $line_counter++;
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['tags_text'].':&nbsp;&nbsp;</span>';
                                                        echo '<span class="body_colored">';
                                                        //WITHOUT LINKS
                                                        /*$in_count=0;
                                                        foreach ( $terms as $term ) {
                                                            if ($in_count>0)
                                                                echo ", ";
                                                            echo '' . $term->name . '';
                                                            $in_count++;
                                                        }*/
                                                        //WITH LINKS
                                                        echo get_the_term_list(get_the_ID(),'portfolio_tag', '', ', ', '' );
                                                        echo '</span></div></div>';
                                                    }
                                                    if (get_field('client_url')!="")
                                                    {
                                                        if ($line_counter>0)
                                                        {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['client_text'].':&nbsp;&nbsp;</span>';
                                                        echo pulse_output().get_field('client_url').'</span>';
                                                        echo '</div></div>';
                                                        $line_counter++;
                                                    }
                                                    if (get_field('extra_fld1')!="")
                                                    {
                                                        if ($line_counter>0)
                                                        {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld1'].':&nbsp;&nbsp;</span>';
                                                        echo pulse_output().get_field('extra_fld1').'</span>';
                                                        echo '</div></div>';
                                                        $line_counter++;
                                                    }
                                                    if (get_field('extra_fld2')!="")
                                                    {
                                                        if ($line_counter>0)
                                                        {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld2'].':&nbsp;&nbsp;</span>';
                                                        echo pulse_output().get_field('extra_fld2').'</span>';
                                                        echo '</div></div>';
                                                        $line_counter++;
                                                    }
                                                    if (get_field('extra_fld3')!="")
                                                    {
                                                        if ($line_counter>0)
                                                        {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld3'].':&nbsp;&nbsp;</span>';
                                                        echo pulse_output().get_field('extra_fld3').'</span>';
                                                        echo '</div></div>';
                                                        $line_counter++;
                                                    }
                                                    if (get_field('ext_url')!="") 
                                                    {
                                                        //ADD HTTP PREFIX IF NEEDED
                                                        if (substr(get_field('ext_url'),0,7)!="http://" && substr(get_field('ext_url'),0,8)!="https://")
                                                            $final_url="http://".get_field('ext_url');
                                                        else
                                                            $final_url=get_field('ext_url');
                                                        if ($line_counter>0)
                                                        {
                                                            echo '<div class="simple_line on_folio"></div>';
                                                        }
                                                        echo '<div class="pulse_info_block clearfix">';
                                                        echo '<div class="prk_left_floated">';
                                                        echo '<span class="zero_color prk_heavier_700">'.$prk_translations['project_text'].':&nbsp;&nbsp;</span>';
                                                        echo '<a href="'.prk_ref_links($final_url).'" target="_blank" data-color="'.$featured_color.'" class="pls_ext">';
                                                        if (get_field('ext_url_label')!="") 
                                                        {
                                                            echo esc_attr(get_field('ext_url_label'));
                                                        }
                                                        else 
                                                        {
                                                            echo esc_attr($prk_translations['launch_text']);
                                                        }
                                                        echo '</a></div></div>';
                                                    }
                                                    if ($line_counter>0) {
                                                        echo '<div class="simple_line on_folio"></div>';
                                                    }
                                                ?>
                                            </div>
                                            <?php
                                                if ($prk_pulse_options['share_portfolio']=="1") {
                                                    prk_output_share($post->ID);
                                                }
                                            ?>
                                        </div>
                                    <div class="clearfix"></div>
                                </div>
                            </div>
                            <div class="clearfix"></div>
                            <div id="after_single_folio">
                                <?php
                                    if ($prk_pulse_options['show_port_nav']=="1") {
                                        prk_output_folio_nav($featured_color);
                                    }
                                    if (comments_open()) {
                                        echo '<div class="small-12 columns prk_inner_block small-centered">';
                                        comments_template();
                                        echo '</div>';
                                    }
                                    echo prk_related_projects($post->ID);
                                ?>
                                <div class="clearfix"></div>
                            </div>
                        </article>
                    </div>
                </div>
            </div>   
            <?php
        }
        else {
            $inner_class="pulse_forced_menu";
            $slider_class="prk_inner_block small-centered columns";
            if ($main_layout=="wideout") {
                $inner_class="pls_featured_header";
                $slider_class="owl_parallaxed";
                $sl_class="per_init owl-carousel super_height pulse_shortcode_slider";
            }
            ?>
            <div id="pulse_ajax_inner" class="<?php echo esc_attr($inner_class); ?>" data-parent="<?php echo esc_url(get_page_link(prk_get_parent_portfolio())); ?>"> 
                <div id="ajaxed_content">
                    <div class="row">
                        <article id="prk_full_folio" <?php post_class($featured_class); ?> data-color="<?php echo esc_attr($featured_color); ?>">
                            <div id="<?php echo esc_attr($sl_id); ?>" class="<?php echo esc_attr($slider_class); ?>">
                                <div class="pls_multi_spinner"></div>
                                <div class="<?php echo esc_attr($sl_class); ?>" data-autoplay="<?php echo esc_attr($autoplay); ?>" data-navigation="true" data-delay="<?php echo esc_attr($prk_pulse_options['delay_portfolio']); ?>" data-color="<?php echo esc_attr($featured_color); ?>">
                                <?php
                                    $imgs_width=$prk_pulse_options['custom_width']+80*2+32;
                                    if ($imgs_width<690) {
                                        $imgs_width=690;
                                    }
                                    if ($main_layout=="wideout") {
                                        $imgs_width='';
                                    }
                                    $ext_count=0;
                                    if (get_field('skip_featured')=="") {
                                        if (has_post_thumbnail( $post->ID ) ) {
                                            $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' );
                                            $vt_image = vt_resize( get_post_thumbnail_id( $post->ID ), '' , $imgs_width, '', false , $prk_retina_device );
                                            $parallaxy=' data-0-top-top="background-position: 50% 0px;" data-0-top-bottom="background-position: 50% 200px;" style="background-image: url('.$vt_image['url'].');"';
                                            echo '<div id="slide_1" class="item"'.$parallaxy.'>';
                                            $ext_count=1;
                                            echo '<img class="pulse_vsbl" src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                        echo '</div>';
                                        }
                                    }
                                    if (get_field('use_gallery')!="images_only") {
                                        //PLACE THE OTHER NINETEEN IMAGES
                                        for ($count=2;$count<21;$count++) {
                                            if (get_field('image_'.$count)!="") {
                                                $ext_count++;
                                                echo '<div id="slide_'.$ext_count.'" class="item">';
                                                $in_image=wp_get_attachment_image_src(get_field('image_'.$count),'full');
                                                $vt_image = vt_resize( '', $in_image[0] , $imgs_width, '', false , $prk_retina_device );
                                                echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                                echo "</div>";
                                            }
                                            if (get_field('video_'.$count)!="") {
                                                $ext_count++;
                                                echo '<div id="slide_'.$ext_count.'" class="item slide_video">';
                                                $el_class='prk-video-container';
                                                if (strpos(get_field('video_'.$count),'soundcloud.com') !== false) {
                                                  $el_class= 'soundcloud-container';
                                                }
                                                echo '<div class="'.$el_class.'">'.get_field('video_'.$count).'</div></div>';
                                            }
                                        }
                                    }
                                    else {
                                        $regex = '/(\w+)\s*=\s*"(.*?)"/';
                                        $pattern = '/\[gallery(.*?)\]/';
                                        preg_match_all($regex, get_post_meta($post->ID,'image_gallery',true), $matches);
                                        $stripped_gallery = array();
                                        for ($i = 0; $i < count($matches[1]); $i++) {
                                            $stripped_gallery[$matches[1][$i]] = $matches[2][$i];
                                        }
                                        if (!empty($stripped_gallery) && $stripped_gallery['ids']!="") {
                                            $array = explode(',', $stripped_gallery['ids']);
                                            foreach($array as $value) {
                                            $ext_count++;
                                            echo '<div id="slide_'.$ext_count.'" class="item">';
                                            $in_image=wp_get_attachment_image_src($value,'full');
                                            $vt_image = vt_resize( '', $in_image[0] , $imgs_width, '', false , $prk_retina_device );
                                            echo '<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="<?php echo pulse_output(); ?>" />';
                                            echo "</div>";
                                            }
                                        }
                                    }
                                ?>
                                </div>
                            </div>
                            <div class="clearfix"></div> 
                            <div class="small-12 columns prk_inner_block small-centered classy-<?php echo esc_attr(get_field('info_display')); ?>">
                                <?php
                                $line_counter=0;
                                if (get_field('info_display')!="hidden") {
                                ?>
                                <h1 id="folio_ttl" class="header_font zero_color pulse_center_align pulse_folio_uppercased">
                                <?php the_title(); ?>
                                </h1>
                                <?php
                                if (get_field('info_display')=="below") {
                                echo '<div id="single_post_teaser" class="pulse_center_align">';
                                echo '<div id="single_blog_meta">';
                                if ($prk_pulse_options['dateby_port']=="1")
                                {
                                echo '<div class="single_blog_meta_div">';
                                echo '<div class="prk_left_floated header_font">';
                                echo '<span class="small_headings_color">';
                                echo the_date();
                                echo '</span></div></div>';
                                $line_counter++;
                                }
                                if ($prk_pulse_options['categoriesby_port']=="1") {
                                    if (get_the_term_list(get_the_ID(),'pirenko_skills')!="") {
                                        $terms = $terms = wp_get_object_terms(get_the_ID(),'pirenko_skills');
                                        $count = count($terms);
                                        if ($count>0) {
                                            if ($line_counter>0) {
                                                echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                            }
                                            $line_counter++;
                                            echo '<div class="single_blog_meta_div">';
                                            echo '<div class="prk_left_floated header_font">';
                                            $in_count=0;
                                            echo '<span class="small_headings_color">';
                                            foreach ( $terms as $term ) {
                                                if ($in_count>0)
                                                    echo ", ";
                                                echo '' . $term->name . '';
                                                $in_count++;
                                            }
                                            echo '<span></div></div>';
                                        }
                                    }
                                }
                                $terms=wp_get_object_terms(get_the_ID(),'portfolio_tag');
                                $count = count($terms);
                                if ($count>0) {
                                    if ($line_counter>0) {
                                        echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    $line_counter++;
                                    echo '<div class="single_blog_meta_div">';
                                    echo '<div class="prk_left_floated header_font">';
                                    $in_count=0;
                                    echo '<span class="small_headings_color">';
                                    foreach ( $terms as $term ) {
                                        if ($in_count>0)
                                            echo ", ";
                                        echo '' . $term->name . '';
                                        $in_count++;
                                    }
                                    echo '</span></div></div>';
                                }
                                if (get_field('client_url')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    echo '<div class="single_blog_meta_div">';
                                    echo '<div class="prk_left_floated header_font">';
                                    echo '<span class="small_headings_color">'.get_field('client_url').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld1')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    echo '<div class="single_blog_meta_div">';
                                    echo '<div class="prk_left_floated header_font">';
                                    echo '<span class="small_headings_color">'.get_field('extra_fld1').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld2')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    echo '<div class="single_blog_meta_div">';
                                    echo '<div class="prk_left_floated header_font">';
                                    echo '<span class="small_headings_color">'.get_field('extra_fld2').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld3')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                    }
                                    echo '<div class="single_blog_meta_div">';
                                    echo '<div class="prk_left_floated header_font">';
                                    echo '<span class="small_headings_color">'.get_field('extra_fld3').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('ext_url')!="") 
                                {
                                //ADD HTTP PREFIX IF NEEDED
                                if (substr(get_field('ext_url'),0,7)!="http://" && substr(get_field('ext_url'),0,8)!="https://")
                                $final_url="http://".get_field('ext_url');
                                else
                                $final_url=get_field('ext_url');
                                if ($line_counter>0)
                                {
                                echo '<div class="pir_divider small_headings_color">'.$prk_pulse_options['theme_divider'].'</div>';
                                }
                                echo '<div class="single_blog_meta_div">';
                                echo '<div class="prk_left_floated header_font">';
                                echo '<a href="'.prk_ref_links($final_url).'" target="_blank" data-color="'.$featured_color.'" class="pls_ext">';
                                if (get_field('ext_url_label')!="") 
                                {
                                echo esc_attr(get_field('ext_url_label'));
                                }
                                else 
                                {
                                echo esc_attr($prk_translations['launch_text']);
                                }
                                echo '</a></div></div>';
                                }
                                echo '</div></div>';
                                }
                                }
                                ?>
                                <div id="prk_full_size_single" class="row">
                                <?php
                                if (get_field('info_display')=="right_side")
                                {
                                echo '<div class="small-9 columns">';
                                }
                                else
                                {
                                echo '<div class="small-12 columns">';
                                }
                                ?>
                                <div id="single_entry_content" class="prk_no_composer prk_break_word<?php if(!has_shortcode(get_the_content(),'vc_row')) {echo " prk_composer_extra";} ?>">
                                <?php the_content(); ?>
                                </div>
                                <div class="clearfix"></div>
                                <?php
                                if (get_field('info_display')=="below") {
                                    if ($prk_pulse_options['share_portfolio']=="1") {
                                        prk_output_share($post->ID);
                                    }
                                }
                                ?>
                                </div>
                                <?php
                                if (get_field('info_display')=="right_side") {
                                ?>
                                <div id="full-entry-right" class="columns small-3 prk_9_em">
                                <div class="simple_line show_later"></div>
                                <?php
                                if ($prk_pulse_options['dateby_port']=="1")
                                {
                                echo '<div class="pulse_info_block clearfix">';
                                echo '<div class="prk_left_floated">';
                                echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['date_text'].':&nbsp;&nbsp;</span>';
                                echo '<span class="body_colored">';
                                echo the_date();
                                echo '</span></div></div>';
                                $line_counter++;
                                }
                                if ($prk_pulse_options['categoriesby_port']=="1")
                                {
                                if (get_the_term_list(get_the_ID(),'pirenko_skills')!="")
                                {
                                    $terms = $terms = wp_get_object_terms(get_the_ID(),'pirenko_skills');
                                    $count = count($terms);
                                    if ($count>0) {
                                        if ($line_counter>0)
                                        {
                                            echo '<div class="simple_line on_folio"></div>';
                                        }
                                        $line_counter++;
                                        echo '<div class="pulse_info_block clearfix">';
                                        echo '<div class="prk_left_floated">';
                                        echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['skills_text'].':&nbsp;&nbsp;</span>';
                                        $in_count=0;
                                        echo '<span class="body_colored">';
                                        //WITHOUT LINKS
                                        foreach ( $terms as $term ) {
                                            if ($in_count>0)
                                                echo ", ";
                                            echo '' . $term->name . '';
                                            $in_count++;
                                        }
                                        //WITH LINKS
                                        //echo get_the_term_list(get_the_ID(),'pirenko_skills', '', ', ', '' );
                                        echo '<span></div></div>';
                                    }
                                }
                                }
                                $terms=wp_get_object_terms(get_the_ID(),'portfolio_tag');
                                $count = count($terms);
                                if ($count>0) {
                                    if ($line_counter>0) {
                                        echo '<div class="simple_line on_folio"></div>';
                                    }
                                    $line_counter++;
                                    echo '<div class="pulse_info_block clearfix">';
                                    echo '<div class="prk_left_floated">';
                                    echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['tags_text'].':&nbsp;&nbsp;</span>';
                                    echo '<span class="body_colored">';
                                    //WITHOUT LINKS
                                    /*$in_count=0;
                                    foreach ( $terms as $term ) {
                                        if ($in_count>0)
                                            echo ", ";
                                        echo '' . $term->name . '';
                                        $in_count++;
                                    }*/
                                    //WITH LINKS
                                    echo get_the_term_list(get_the_ID(),'portfolio_tag', '', ', ', '' );
                                    echo '</span></div></div>';
                                }
                                if (get_field('client_url')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="simple_line on_folio"></div>';
                                    }
                                    echo '<div class="pulse_info_block clearfix">';
                                    echo '<div class="prk_left_floated">';
                                    echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['client_text'].':&nbsp;&nbsp;</span>';
                                    echo '<span class="body_colored">'.get_field('client_url').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld1')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="simple_line on_folio"></div>';
                                    }
                                    echo '<div class="pulse_info_block clearfix">';
                                    echo '<div class="prk_left_floated">';
                                    echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld1'].':&nbsp;&nbsp;</span>';
                                    echo pulse_output().get_field('extra_fld1').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld2')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="simple_line on_folio"></div>';
                                    }
                                    echo '<div class="pulse_info_block clearfix">';
                                    echo '<div class="prk_left_floated">';
                                    echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld2'].':&nbsp;&nbsp;</span>';
                                    echo pulse_output().get_field('extra_fld2').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('extra_fld3')!="")
                                {
                                    if ($line_counter>0)
                                    {
                                        echo '<div class="simple_line on_folio"></div>';
                                    }
                                    echo '<div class="pulse_info_block clearfix">';
                                    echo '<div class="prk_left_floated">';
                                    echo '<span class="zero_color prk_heavier_700">'.$prk_translations['extra_fld3'].':&nbsp;&nbsp;</span>';
                                    echo pulse_output().get_field('extra_fld3').'</span>';
                                    echo '</div></div>';
                                    $line_counter++;
                                }
                                if (get_field('ext_url')!="") 
                                {
                                //ADD HTTP PREFIX IF NEEDED
                                if (substr(get_field('ext_url'),0,7)!="http://" && substr(get_field('ext_url'),0,8)!="https://")
                                    $final_url="http://".get_field('ext_url');
                                else
                                    $final_url=get_field('ext_url');
                                if ($line_counter>0)
                                {
                                    echo '<div class="simple_line on_folio"></div>';
                                }
                                echo '<div class="pulse_info_block clearfix">';
                                echo '<div class="prk_left_floated">';
                                echo '<span class="prk_heavier_700 zero_color">'.$prk_translations['project_text'].':&nbsp;&nbsp;</span>';
                                echo '<a href="'.prk_ref_links($final_url).'" target="_blank" data-color="'.$featured_color.'" class="pls_ext">';
                                if (get_field('ext_url_label')!="") 
                                {
                                    echo get_field('ext_url_label');
                                }
                                else 
                                {
                                    echo esc_attr($prk_translations['launch_text']);
                                }
                                echo '</a></div></div>';
                                }
                                if ($line_counter>0) {
                                echo '<div class="simple_line on_folio"></div>';
                                }
                                if ($prk_pulse_options['share_portfolio']=="1") {
                                    prk_output_share($post->ID);
                                }
                                ?>
                                </div>
                                <?php
                                }
                                ?>
                            </div>
                            <div class="clearfix"></div>
                        </div>
                        <div id="after_single_folio">
                        <?php
                            if ($prk_pulse_options['show_port_nav']=="1") {
                                prk_output_folio_nav($featured_color);
                            }
                            if (comments_open()) {
                                echo '<div class="small-12 columns prk_inner_block small-centered">';
                                comments_template();
                                echo '</div>';
                            }
                            echo prk_related_projects($post->ID);
                        ?>
                        <div class="clearfix"></div>
                    </article>
                </div>
            </div>
            </div>
            <?php
        }
    endwhile; /* End loop */
?>
<?php get_footer(); ?>
